<?php

namespace App\Http\Controllers\Customer;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Spatie\Permission\Models\Permission;

use Illuminate\Pagination\LengthAwarePaginator;
use Illuminate\Pagination\Paginator;
use Illuminate\Pagination\CursorPaginator;
use App\Constants\GlobalConstants;

use App\Models\Rxsubscribe;
use App\Models\Rxproduct;

use Redirect,Response;

class RxsubscribeController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        Paginator::useBootstrap();

        //$rxproducts = Rxproduct::getProducts('', GlobalConstants::ALL, GlobalConstants::ALL, GlobalConstants::ALL);
        $rxproducts = Rxproduct::getProducts('');

        //return view('customer.rxsubscribes.index')->with('rxproducts', $rxproducts);

        $userid = auth()->user()->id;
        $rxsubscribes = Rxsubscribe::where([
            ['userid', '=', $userid],
            [function ($query) use ($request) {
                if(($description = $request->description)) {
                    $query->orWhere('description', 'LIKE', '%' . $description . '%')->get();
                }
            }]
        ])

        ->orderBy('subsid', 'DESC')
        ->paginate(5);
        return view('customer.rxsubscribes.index', compact('rxsubscribes'))->with('i', (request()->input('page', 1) - 1) * 5);
      

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request)
    {
        Paginator::useBootstrap();
        $userid = auth()->user()->id;
        $rxproducts = Rxproduct::getProducts('', GlobalConstants::ALL, GlobalConstants::ALL, GlobalConstants::ALL);
        $rxsubscribes = Rxsubscribe::where([
            ['userid', '=', $userid],
            [function ($query) use ($request) {
                if(($description = $request->description)) {
                    $query->orWhere('description', 'LIKE', '%' . $description . '%')->get();
                }
            }]
        ])

        ->orderBy('subsid', 'DESC')
        ->paginate(5);

        $rxproducts = Rxproduct::getProducts('');
        $submonths = DB::table('submonths')->orderBy('submonth', 'ASC')->get();
        $paymethods = DB::table('paymethods')->orderBy('paymethod', 'ASC')->get();
        $provinces = DB::table('provinces')->orderBy('name', 'ASC')->get();
        //return view('customer.rxsubscribes.create')->with('submonths', 'rxproducts', $rxproducts);
        return view('customer.rxsubscribes.create', compact('rxsubscribes', 'submonths', 'paymethods', 'provinces', 'rxproducts'))->with('i', (request()->input('page', 1) - 1) * 5);
        //return view('customer.rxsubscribes.index', compact('rxsubscribes'))->with('i', (request()->input('page', 1) - 1) * 5);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */

    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */

    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function fetch_data(Request $request)
    {
        if ($request->ajax()) 
        {
            $rxproducts = Rxproduct::where([
                ['sku', '!=', NULL],
                [function ($query) use ($request) {
                    if(($product_name = $request->product_name)) {
                        $query->orWhere('product_name', 'LIKE', '%' . $product_name . '%')->get();
                    }
                }]
            ])

            ->orderBy('product_name', 'ASC')
            ->paginate(6);

            //return view('customer/rxsubscribes/pagination', compact('rxproducts'))->render();
            //return view('customer.rxsubscribes.pagination', ['rxproducts' => $rxproducts])->render(); 
            //return view('customer.rxsubscribes.pagination', compact('rxproducts'))->render();
        }
    } 

    public function getproductos(Request $request) {
        $query = $request->search_query;
        if($request->ajax()) {
            $products = Rxproduct::getProducts($query);
                return view('customer.rxsubscribes.pagination', compact('products'))->render();
        }
    }
}

