<?php

namespace App\Http\Controllers;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Storage;
use Bigcommerce\Api\Client as Bigcommerce;
use GuzzleHttp\Client;

use Illuminate\Bus\Queueable;
//use Illuminate\Notifications\Notification;
use Illuminate\Support\Facades\Notification;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use App\Notifications\AllNotification;


use App\Models\Reservation;
use App\Models\User;
use App\Models\Province;
use App\Models\Customer;
use App\Models\Reservetran;

use Redirect,Response;

class WelcomeController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $towns = DB::table('town')->orderBy('s_townname', 'ASC')->get();

        $provinces = DB::table('province')->select('province.s_provcode', 'province.s_provname')
            ->join('town', 'town.s_provcode', '=', 'province.s_provcode')
            ->join('branch', 'town.s_towncode', '=', 'branch.s_towncode')
            ->distinct('province.s_provcode')
            ->orderBy('province.s_provname', 'ASC')
            ->get();     
        //$provinces = $provinces->unique();    
        
        
        

        $results = "";

        return view('welcome.index', compact('results', 'provinces'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, Reservation $reservations)
    {

        $lname = strtolower($request->lname);
        $lname = ucwords($lname);
        $fname = strtolower($request->fname);
        $fname = ucwords($fname);
        $mname = strtolower($request->mname);
        $mname = ucwords($mname);
        $name = strtolower($fname). " ". strtolower($mname). " ". strtolower($lname);
        $name = ucwords($name);

        if($customers = DB::table('customers')->where('fullname', $name)->first()){
            $custid = $customers->custid;
        } else {
            $customers = new Customer;
            $customers->lname = $lname;             
            $customers->fname = $fname;             
            $customers->mname = $mname;             
            $customers->fullname = $name;   
            $customers->mobileno = $request->mobileno;  
            $customers->phoneno = $request->phoneno; 
            $customers->save();
            $custid= $customers->custid; 
        }
        //RESERVATIONS
        $status = "Pending";
        $pendingorders = DB::table('reservations')->where('custid', $custid)->where('status', $status)->delete();
        $pendingorders = DB::table('reservetrans')->where('custid', $custid)->where('status', $status)->delete();
        
        if($pending = DB::table('reservations')->where('custid', $custid)->where('status', 'Pending')->first()){
            $totalqty = $pending->totalqty;
            $total = $pending->total;
            $totalqty = $totalqty + $request->reserveqty;
            $total = $total + $request->amount;

            $editreserve = Reservation::where('custid', $custid)->where('status', 'Pending')->first(); 
            $editreserve->mobileno = $request->mobileno;
            $editreserve->phoneno = $request->phoneno;
            $editreserve->branchcode = $request->branchcode;
            $editreserve->branchname = $request->branchname;
            $editreserve->reserveddate = date('Y-m-d');
            $editreserve->reservedtime = date('H:i:s');            
            $editreserve->totalqty = $totalqty;
            $editreserve->total = $total;
            $editreserve->status = $status;
            $editreserve->save();
            $refid = $editreserve->reservedid;
        } else {
            $reservations->custid = $custid;
            $reservations->fullname = $name;
            $reservations->mobileno = $request->mobileno;
            $reservations->phoneno = $request->phoneno;
            $reservations->reserveddate = date('Y-m-d');
            $reservations->reservedtime = date('H:i:s');
            
            $branchcode = $request->branchcode;
            $reservations->branchcode = $request->branchcode;
            $reservations->branchname = $request->branchname;
            $reservations->totalqty = $request->reserveqty;
            $reservations->total = $request->amount;
            
            $reservations->status = $status;
            $reservations->save();
            $refid = $reservations->reservedid;
        } 

        $reservetrans = new Reservetran;
        $reservetrans->reservedid = $refid;             
        $reservetrans->custid = $custid;             
        $reservetrans->branchcode = $request->branchcode;      
        $reservetrans->skunumber = $request->skunumber;    
        $reservetrans->productname = $request->productname;    
        $reservetrans->price = $request->price;    
        $reservetrans->qty = $request->reserveqty;    
        $reservetrans->amount = $request->amount;    
        $reservetrans->status = $status;    
        $reservetrans->save();

        /*
        $signatories=User::where('branchcode','=',$branchcode)->get();  
        foreach($signatories as $signatories){  
            $users=User::where('id','=',$signatories->id)->first();  
            $details = [
                'subject' => "New Reservation for Pick-up",
                'from' => $refid,
                'fromname' => $name,
                'to' => $signatories->id,
                'toname' => $signatories->name,
                'body' => "New Reservation for Pick-up",
                'refid' => $refid,
                'page' => "RESERVATION",
                'actionURL' => "admin.reservations.edit",
                'actionURL2' => "admin/reservations/". $refid. "/edit"
            ];  
           
            Notification::send($users, new AllNotification($details));
        }
        */


        return redirect()->route('addproduct', $refid); 
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function searchmeds (Request $request){

        //Send an empty variable to the view, unless the if logic below changes, then it'll send a proper variable to the view.
        $results = null;

        
        $provinces = DB::table('province')->select('province.s_provcode', 'province.s_provname')
            ->join('town', 'town.s_provcode', '=', 'province.s_provcode')
            ->join('branch', 'town.s_towncode', '=', 'branch.s_towncode')
            ->distinct('province.s_provcode')
            ->orderBy('province.s_provname', 'ASC')
            ->get(); 
        $sprovince = DB::table('province')->where('s_provcode', $request->provcode)->first();
        $stown = DB::table('town')->where('s_towncode', $request->towncode)->first();
        //$towns = DB::table('town')->where('s_provcode', $request->provcode)->orderBy('s_townname', 'ASC')->get();
        $towns = DB::table('town')->select('town.s_towncode', 'town.s_townname')
        ->join('branch', 'branch.s_towncode', '=', 'town.s_towncode')

        ->where('town.s_provcode', "=", $request->provcode)
        ->distinct('town.s_towncode')
        ->orderBy('town.s_townname', 'ASC')
        ->get();          

        //Runs only if the search has something in it.
        if (!empty($request->productname)) {

                $query = DB::table('brncitems');

                $query = $query->select('brncitems.*', 'invmas.s_isactive', 'invmas.d_creadate', 'invmas.s_genedesc', 'invskus.s_skudescx', 'invskus.n_retlprce', 'invskus.s_skunumbr', 'branches.s_brncname', 'branches.s_brncaddr', 'branches.s_schedule', 'branches.s_contnmbr', 'branches.s_mobileno', 'branches.s_towncode', 'branches.s_latilong', 'branch_update.updated_date'); 

                $query = $query->leftJoin('invmas', 'brncitems.s_itemnmbr', '=', 'invmas.s_itemnmbr');
                $query = $query->leftJoin('invskus', 'invmas.s_itemnmbr', '=', 'invskus.s_itemnmbr');
                $query = $query->leftJoin('branches', 'brncitems.s_brnccode', '=', 'branches.s_brnccodex');
                $query = $query->leftJoin('branch_update', 'branch_update.s_brnccodex', '=', 'branches.s_brnccodex');
                $query = $query->leftJoin('town', 'town.s_towncode', '=', 'branches.s_towncode');

                $query = $query->where('invmas.s_isactive', '=', 'A');
                $query = $query->where(function ($query2) {
                         $query2->where('invskus.s_packtype', '=', 'A')
                         ->orWhere('invskus.s_packtype', '=', 'S');
                });                 
                $query = $query->where('brncitems.n_qtyohand', '>', 0);
                
                $productname = $request->productname;

                    //$query = $query->where('invmas.s_genedesc', 'LIKE', "%{$request->productname}%");
                    //$query = $query->where('invskus.s_skudescx', 'LIKE', "%{$request->productname}%");
                    $query = $query->where(function ($query3) use($productname){
                             $query3->where('invskus.s_skudescx', 'LIKE', "%{$productname}%")
                             ->orWhere('invmas.s_genedesc', 'LIKE', "%{$productname}%");
                    });                    

 


               
                if(!empty($request->provcode)) {
                    $query = $query->where('town.s_provcode', '=', $request->provcode);
                };                

                if(!empty($request->towncode)) {
                    $query = $query->where('branches.s_towncode', '=', $request->towncode);
                };                
                $query = $query->orderBy('branches.s_brncname', 'ASC');
                $query = $query->orderBy('invskus.s_skudescx', 'ASC');

                $results = $query->get(); 

        }
        //return view('welcome.index')->with('towns', 'results', $results);
        return view('welcome.edit', compact('results', 'provinces', 'sprovince', 'stown', 'towns'));
    }

    public function searchbranchmeds (Request $request){

        //Send an empty variable to the view, unless the if logic below changes, then it'll send a proper variable to the view.
        $results = null;

        $reservations = DB::table('reservations')->where('reservedid', $request->reservedid2)->first();
        $customers = DB::table('customers')->where('custid', $reservations->custid)->first();
        $branches = DB::table('branches')->where('s_brnccodex', $reservations->branchcode)->first();
      

        //Runs only if the search has something in it.
        if (!empty($request->productname)) {

                $query = DB::table('brncitems');

                $query = $query->select('brncitems.*', 'invmas.s_isactive', 'invmas.d_creadate','invskus.s_skudescx', 'invskus.n_retlprce', 'invskus.s_skunumbr', 'invskus.s_skucodex', 'branches.s_brncname', 'branches.s_brncaddr', 'branches.s_schedule', 'branches.s_contnmbr', 'branches.s_mobileno', 'branches.s_towncode', 'branches.s_latilong', 'branch_update.updated_date'); 

                $query = $query->leftJoin('invmas', 'brncitems.s_itemnmbr', '=', 'invmas.s_itemnmbr');
                $query = $query->leftJoin('invskus', 'invmas.s_itemnmbr', '=', 'invskus.s_itemnmbr');
                $query = $query->leftJoin('branches', 'brncitems.s_brnccode', '=', 'branches.s_brnccodex');
                $query = $query->leftJoin('branch_update', 'branch_update.s_brnccodex', '=', 'branches.s_brnccodex');
                $query = $query->leftJoin('town', 'town.s_towncode', '=', 'branches.s_towncode');

                $query = $query->where('branches.s_brnccodex', '=', $request->branchcode2);
                $query = $query->where('invmas.s_isactive', '=', 'A');
                $query = $query->where(function ($query2) {
                         $query2->where('invskus.s_packtype', '=', 'A')
                         ->orWhere('invskus.s_packtype', '=', 'S');
                });                 
                $query = $query->where('brncitems.n_qtyohand', '>', 0);
                

                if(!empty($request->productname)) {
                    $productname = $request->productname;
                    //$query = $query->where('invskus.s_skudescx', 'LIKE', "%{$request->productname}%");
                    $query = $query->where(function ($query3) use($productname){
                             $query3->where('invskus.s_skudescx', 'LIKE', "%{$productname}%")
                             ->orWhere('invmas.s_genedesc', 'LIKE', "%{$productname}%");
                    });  


                };
               
                if(!empty($request->provcode)) {
                    $query = $query->where('town.s_provcode', '=', $request->provcode);
                };                

                if(!empty($request->towncode)) {
                    $query = $query->where('branches.s_towncode', '=', $request->towncode);
                };                
                $query = $query->orderBy('branches.s_brncname', 'ASC');
                $query = $query->orderBy('invskus.s_skudescx', 'ASC');

                $results = $query->get(); 

        }

        //return view('welcome.index')->with('towns', 'results', $results);
        return view('welcome.addproduct', compact('results', 'reservations', 'customers', 'branches'));
    }




    public function fetchTown(Request $request)
    {
        //$data['townnames'] = City::where("provcode", $request->provcode)->orderBy('name', 'asc')->get(["name", "code"]);
        //$data['townnames'] = DB::table('town')->where('s_provcode', "=", $request->provcode)->get();

        $data['townnames'] = DB::table('town')->select('town.s_towncode', 'town.s_townname')
        ->join('branch', 'branch.s_towncode', '=', 'town.s_towncode')

        ->where('town.s_provcode', "=", $request->provcode)
        ->distinct('town.s_towncode')
        ->orderBy('town.s_townname', 'ASC')
        ->get();   

        return response()->json($data);
    }

    public function reserveprod($id)
    {
        $refid = explode("|",$id);
        $itemnumber = $refid[0];
        $branchcode = $refid[1];
        $skunumber = $refid[2];

        $invskus = DB::table('invskus')->where('s_skunumbr', $skunumber)->first();

        $brncitems = DB::table('brncitems')->where('s_itemnmbr', $itemnumber)->where('s_brnccode', $branchcode)->first();

        $branches = DB::table('branches')->where('s_brnccodex', $branchcode)->first();

        return view('welcome.create', compact('brncitems', 'invskus', 'branches'));

    }

    function fetchProduct(Request $request)
    {
     if($request->get('query'))
     {
      $query = $request->get('query');
      $data = DB::table('invskus')
        //->select('invskus.s_skudescx', 'invskus.s_packtype','invmas.s_isactive', 'brncitems.n_qtyohand')
        ->select('invskus.s_skudescx', 'invskus.s_packtype','invmas.s_isactive','invmas.s_genedesc')
        ->leftjoin('invmas', 'invmas.s_itemnmbr', '=', 'invskus.s_itemnmbr')
        //->leftjoin('brncitems', 'brncitems.s_itemnmbr', '=', 'invmas.s_itemnmbr')
        //->where('invskus.s_skudescx', 'LIKE', "%{$query}%")
        //->Where('invmas.s_genedesc', 'LIKE', "%{$query}%")

        ->where(function ($query3) use($query) {
                 $query3->where('invskus.s_skudescx', 'LIKE', "%{$query}%")
                 ->orWhere('invmas.s_genedesc', 'LIKE', "%{$query}%");
        })         
        ->where(function ($query2) {
                 $query2->where('invskus.s_packtype', '=', 'A')
                 ->orWhere('invskus.s_packtype', '=', 'S');
        }) 
        ->where('invmas.s_isactive', '=', "A")
        //->where('brncitems.n_qtyohand', '>', 0)
        //->distinct('invskus.s_skudescx')
        ->orderBy('invskus.s_skudescx', 'ASC')
        ->get();
      $output = '<ul class="dropdown-menu" style="display:block; position:relative">';
      foreach($data as $row)
      {
       $output .= '
       <li><a href="#">'.$row->s_skudescx.'</a></li>
       ';
      }
      $output .= '</ul>';
      echo $output;
     }
    }

    public function addproduct($id)
    {
        $reservations = DB::table('reservations')->where('reservedid', $id)->first();
        $customers = DB::table('customers')->where('custid', $reservations->custid)->first();
        $branches = DB::table('branches')->where('s_brnccodex', $reservations->branchcode)->first();
        $results = "";
        return view('welcome.addproduct', compact('reservations', 'customers', 'results', 'branches'));   
    } 

    public function savecartitem(Request $request)
    {

        $reservetrans = new Reservetran;
        $reservetrans->reservedid = $request->reservedid;             
        $reservetrans->custid = $request->custid;             
        $reservetrans->branchcode = $request->branchcode;      
        $reservetrans->skunumber = $request->skunumber;    
        $reservetrans->productname = $request->productname;    
        $reservetrans->price = $request->price;    
        $reservetrans->qty = $request->reserveqty;    
        $reservetrans->amount = $request->amount;    
        $reservetrans->status = $status;    
        $reservetrans->save();
        $status = "Pending";
        if($pending = DB::table('reservations')->where('reservedid', $request->reservedid)->first()){

            $totalqty = $pending->totalqty;
            $total = $pending->total;
            $totalqty = $totalqty + $request->reserveqty;
            $total = $total + $request->amount;

            $editreserve = Reservation::where('reservedid', $request->reservedid)->first(); 
            $editreserve->reserveddate = date('Y-m-d');
            $editreserve->reservedtime = date('H:i:s');            
            $editreserve->totalqty = $totalqty;
            $editreserve->total = $total;
            $editreserve->status = $status;
            $editreserve->save();

        } 

        $refid = $request->reservedid;

        return redirect()->route('addproduct', $refid); 
    }


    public function computetotal(Request $request) 
    {

        $reservetrans = DB::table('reservetrans')->where('reservedid', $request->reservedid)->get();
        $total = $reservetrans->sum('amount');
        $total = number_format($total, 2);
        $totalqty = $reservetrans->sum('qty');

        $editreserve = Reservation::where('reservedid', $request->reservedid)->first(); 
        $editreserve->reserveddate = date('Y-m-d');
        $editreserve->reservedtime = date('H:i:s');            
        $editreserve->totalqty = $totalqty;
        $editreserve->total = $total;
        $editreserve->save();

        echo $totalqty. "|". $total;

    } 

    public function getproductname(Request $request) 
    {

        $id = $request->id;

        $reservetrans = DB::table('reservetrans')->where('id', $id)->first();
        $skunumber = $reservetrans->skunumber;
        $productname = $reservetrans->productname;
        $price = $reservetrans->price;
        $qty = $reservetrans->qty;
        $amount = $reservetrans->amount;

        echo $skunumber. "|". $productname. "|". $price. "|". $qty. "|". $amount;

    } 

    public function updatereservetrans(Request $request) 
    {
        $id = $request->id;
        $reservetrans = Reservetran::where('id', '=', $id)->first(); 

        /*
        $reservetrans->reservedid = $request->reservedid;             
        $reservetrans->custid = $request->custid;             
        $reservetrans->branchcode = $request->branchcode;      
        $reservetrans->skunumber = $request->skunumber;    
        $reservetrans->productname = $request->productname;    
        */
        $reservetrans->price = $request->price;    
        $reservetrans->qty = $request->reserveqty; 
        $reservetrans->amount = $request->amount;    
        $reservetrans->save();
        //return redirect()->route('reservetrans.index'); 
        return json_encode(array('statusCode'=>200));
    } 

    public function reservepickup(Request $request) 
    {
        $reservedid = $request->reservedid;
        $reservations = Reservation::where('reservedid', '=', $reservedid)->first(); 
        $reservations->reserveddate = date('Y-m-d');
        $reservations->reservedtime = date('H:i:s');         
        $reservations->status = "For Confirmation";    
        $reservations->save();

        $affected = DB::table('reservetrans')->update(array('status' => "For Confirmation"));

        $reserveinfo = DB::table('reservations')->where('reservedid', $reservedid)->first();

        $signatories=User::where('branchcode','=',$request->branchcode)->get();  
        foreach($signatories as $signatories){  
            $users=User::where('id','=',$signatories->id)->first();  
            $details = [
                'subject' => "New Reservation for Pick-up",
                'from' => $reserveinfo->custid,
                'fromname' => $reserveinfo->fullname,
                'to' => $signatories->id,
                'toname' => $signatories->name,
                'body' => "New Reservation for Pick-up",
                'refid' => $reservedid,
                'page' => "RESERVATION",
                'actionURL' => "admin.reservations.edit",
                'actionURL2' => "admin/reservations/". $reservedid. "/edit"
            ];  
           
            Notification::send($users, new AllNotification($details));
        }


        return json_encode(array('statusCode'=>200));
    }  


    public function findURL(Request $request) 
    {

// BIG COMMERCE CONNECTION########################################################

        $object = new \stdClass();
        $object->client_id = 'f76siam38mo6lvfl4kyq599rp7utn9d';
        //$object->client_id = 'l1eej91666mz0ot5zohq3sg9rubtkfx';
        $object->client_secret = '06bc3ff0e5876210be73c7a87690819009f9a31f340f655c5b8a8b43442c0dc3';
        //$object->client_secret = '7c20aa99d7036cac8c32cbc919af6aaef093e6292494888fbb9c7fec942a2751';
        $object->redirect_uri = 'https://api.bigcommerce.com/stores/dmb1ykvg7m/v3/';
        $object->code = $request->get('code');
        $object->context = $request->get('context');
        $object->scope = $request->get('scope');

        $authTokenResponse = Bigcommerce::getAuthToken($object);

        Bigcommerce::configure(array(
            'client_id' => 'f76siam38mo6lvfl4kyq599rp7utn9d',
            'auth_token' => 'zlrevhox7a39nlw6zp7g13txw88owx',
            'store_hash' => 'dmb1ykvg7m'
        ));
        

        Bigcommerce::verifyPeer(false);
 

        //$customers = Bigcommerce::getCustomers();
        //$products = Bigcommerce::getProducts()->where('sku', '=', '029272');
        //$products = Bigcommerce::get("products")->where('sku', '=', '029272');
        //$generic_name = Bigcommerce::getCustomers();

        //$data = Bigcommerce::table('generic_name')->get(); 
        $storeHash = "dmb1ykvg7m";
        $accessToken = "zlrevhox7a39nlw6zp7g13txw88owx";
        //$products = Bigcommerce::get("resource uri",["select * from products"]);
//END BIG COMMERCE CONNECTION#####################################################


        $btnname = $request->sku;
        $explode = explode("|",$btnname);
        $sku = $explode[1];
        $sku = str_pad($sku, 6, '0', STR_PAD_LEFT);

/*   USE THIS FOR CURL
        $curl = curl_init();

        curl_setopt_array($curl, array(
          CURLOPT_URL => "https://api.bigcommerce.com/stores/dmb1ykvg7m/v3/catalog/products?sku%3Ain=". $sku,
          CURLOPT_RETURNTRANSFER => true,
          CURLOPT_ENCODING => "",
          CURLOPT_MAXREDIRS => 10,
          CURLOPT_TIMEOUT => 30,
          CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
          CURLOPT_CUSTOMREQUEST => "GET",
          CURLOPT_HTTPHEADER => array(
            "x-auth-token: zlrevhox7a39nlw6zp7g13txw88owx"
          ),
        ));

        $response = curl_exec($curl);
        $err = curl_error($curl);

        curl_close($curl);

        if ($err) {
          $x = "/";
          //echo "cURL Error #:" . $err;
        } else {

            $x = json_decode($response);
            $x = $x->data[0];
            $x = $x->custom_url;
            $x = $x->url;


        }



        //$x = $sku;
        //echo $x;

       //END USING CURL 
    */
        $filter = array("sku" => $sku);
        $x = Bigcommerce::getProducts($filter);
        if(empty($x)){
            $x = "/";
        } else {
            $x = $x[0];
            $x = $x->custom_url;
        }


        
        return response()->json($x);

    } 

}
