<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSubscriptionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('subscriptions', function (Blueprint $table) {
            $table->bigIncrements('subsid');
            $table->integer('userid')->nullable()->unsigned();
            $table->string('description', 100)->nullable();
            $table->string('monthlysubs', 50)->nullable();
            $table->date('subsdate')->nullable();
            $table->date('activationdate')->nullable();
            $table->date('cancellationdate')->nullable();
            $table->string('paymethod', 100)->nullable();
            $table->date('deliverydate')->nullable();
            $table->date('reminderdate')->nullable();
            $table->text('notes')->nullable();
            $table->integer('appby')->nullable()->unsigned();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('subscriptions');
    }
}
