<?php

namespace App\Http\Controllers\Admin;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;

//use App\Exports\DepartmentsExport;
//use App\Imports\DepartmentsImport;
use Maatwebsite\Excel\Facades\Excel;
use Spatie\Permission\Models\Permission;

use App\Models\Reservation;

use DataTables;

class ReservationController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
   public function index(Request $request)
    {
       

         if(request()->ajax())
         {
              if( !empty($request->sfullname) || !empty($request->sdate) || !empty($request->smobileno) || !empty($request->status))
              {

                $query = DB::table('reservations');
                $query = $query->select('*');

                if(!empty($request->sfullname)) {
                    $query = $query->where('fullname', 'LIKE',"%{$request->sfullname}%");
                };
                if(!empty($request->sdate)) {
                    $query = $query->where('reserveddate', '=',$request->sdate);
                };
                if(!empty($request->smobileno)) {
                    $query = $query->where('mobileno', 'LIKE',"%{$request->smobileno}%");
                };
                if(!empty($request->status)) {
                    $query = $query->where('status', '=',$request->status);
                };                

                //$data= $query->get(); 
                $data= $query; 

              }
              else
              {
               $data = DB::table('reservations')
                 ->select('*');
                 //->get();
              }

             return datatables()->of($data) 
                    
            ->addColumn('action', function ($row) {
                $show = route('admin.reservations.show',$row->reservedid);
                $edit =  route('admin.reservations.edit',$row->reservedid);
                $delete =  route('admin.reservations.destroy',$row->reservedid);
                $token =  csrf_token();                  
                //return "<a href='{$show}' class='btn btn-xs btn-primary'><i class='glyphicon glyphicon-edit'></i> Edit</a>";
                return "<a href='{$show}' title='View' class='m-r-15 crm-action-edit text-muted'><i class='fa fa-desktop text-blue'></i></a>  &nbsp;
                        <a href='{$edit}' title='Click to Approve' class='m-r-15 crm-action-edit text-muted'><i class='fa fa-file-signature text-green'></i></a>". 
                        "<form action='{$delete}' name='deleteform' method='POST' onsubmit=\"return confirm('Are you sure you want to Delete Selected Record?');\" style='display: inline-block;'>".
                            "<input type='hidden' name='_method' value='DELETE'>".
                            "<input type='hidden' name='_token' value='{$token}'>". 
                            "<button type='submit' title = 'Delete' class='crm-action-delete text-muted' style='border:none; background:none; cursor:pointer;'><i class='fa fa-trash text-red'></i></button>".
                        "</form>";
                
            })

            ->make(true);


             // return datatables()->of($data)->make(true);
    


         }

         $reservations = DB::table('reservations')
              ->select('*')
              ->get();
              
         return view('admin.reservations.index', compact('reservations'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
       $reservations = DB::table('reservations')->where('reservedid', $id)->first();
       return view('admin.reservations.show', compact('reservations'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
       $reservations = DB::table('reservations')->where('reservedid', $id)->first();
       return view('admin.reservations.edit', compact('reservations'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $reservations = Reservation::where('reservedid', '=', $id)->first(); 
        $reservations->status = $request->status; 
        $reservations->save();

        return redirect()->route('admin.reservations.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Reservation::destroy($id);

        return redirect()->route('admin.reservations.index');
    }
}
