<!doctype html>
<html class="no-js" lang="en">
    <head> 
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>{{ __('Login | St. Joseph Drug Med Finder') }}</title>
        <meta name="description" content="Medicine Finder, medfinder, Medicine Finder, Best Philippine Pharmacy, Philippines">
        <meta name="keywords" content="medicine,pharmacy,medical,deliveries,ecommerce,online, best, cheap, finder, medicine, find, search medicine, medfinder">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        
        <link href="{{ asset('images/medfinder2icon.png') }}" rel="shortcut icon" type="image/png">

        <link href="https://fonts.googleapis.com/css?family=Nunito+Sans:300,400,600,700,800" rel="stylesheet">
        
        <link rel="stylesheet" href="{{ asset('admin/plugins/bootstrap/dist/css/bootstrap.min.css') }}">
        <link rel="stylesheet" href="{{ asset('admin/plugins/fontawesome-free/css/all.min.css') }}">
        <link rel="stylesheet" href="{{ asset('admin/plugins/ionicons/dist/css/ionicons.min.css') }}">
        <link rel="stylesheet" href="{{ asset('admin/plugins/icon-kit/dist/css/iconkit.min.css') }}">
        <link rel="stylesheet" href="{{ asset('admin/plugins/perfect-scrollbar/css/perfect-scrollbar.css') }}">
        <link rel="stylesheet" href="{{ asset('admin/dist/css/theme.min.css') }}">
        <link rel="stylesheet" href="{{ asset('admin/dist/css/theme-image.css') }}">
        <script src="{{ asset('admin/src/js/vendor/modernizr-2.8.3.min.js') }}"></script>
    </head>

    <body>
        <!--[if lt IE 8]>
            <p class="browserupgrade">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p>
        <![endif]-->

        <div class="auth-wrapper">
            <div class="container-fluid h-100">
                <div class="row flex-row h-100 bg-white">
                    <div class="col-xl-8 col-lg-6 col-md-5 p-0 d-md-block d-lg-block d-sm-none d-none">
                        <div class="lavalite-bg" >
                            <div class="lavalite-overlay"></div>
                        </div>
                    </div>
                    <div class="col-xl-4 col-lg-1 col-md-1 my-auto p-0">
                        <div class="authentication-form mx-auto">
                            <div class="logo-left">
                                <a href="www.stjosephdrug.com"><img alt="" src="images/medfinder3.png" height="200" width="300" alt="Med Finder"></a>
                            </div>
                            <h3>{{ __('Sign-In to Med Finder Administration') }}</h3>
                            <p>{{ __('Happy to see you again!') }}</p>
                            <form method="POST" action="{{ route('login') }}">
                            @csrf
                                <div class="form-group">
                                    <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" placeholder="Username" value="{{ old('email') }}" required autocomplete="email" autofocus>
                                    <i class="ik ik-user"></i>
                                    @error('email')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                                <div class="form-group">
                                    <input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" placeholder="Password" required autocomplete="current-password">
                                    <i class="ik ik-lock"></i>
                                    @error('password')

                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                                <div class="row">
                                    <div class="col text-left">
                                        <label class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" id="remember" name="remember" value="option1" {{ old('remember') ? 'checked' : '' }}>
                                            <span class="custom-control-label">&nbsp;{{ __('Remember Me') }}</span>
                                        </label>
                                    </div>
                                    <div class="col text-right">
                                        <a class="btn btn-link" href="{{ route('password.request') }}">
                                            {{ __('Forgot Your Password?') }}
                                        </a>
                                    </div>
                                </div>
                                <div class="sign-btn text-center">
                                    <button type="submit" class="btn btn-theme">{{ __('Sign In') }}</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
        <script src="{{ asset('admin/src/js/vendor/jquery-3.3.1.min.js') }}"></script>
        <script src="{{ asset('admin/plugins/popper.js/dist/umd/popper.min.js') }}"></script>
        <script src="{{ asset('admin/plugins/bootstrap/dist/js/bootstrap.min.js') }}"></script>
        <script src="{{ asset('admin/plugins/perfect-scrollbar/dist/perfect-scrollbar.min.js') }}"></script>
        <script src="{{ asset('admin/plugins/screenfull/dist/screenfull.js') }}"></script>
        
    </body>
</html>




