@extends('layouts.vertical')
@section('content')

     <style>
        .custom {
            font-size: 12px;
            font-family: Century Gothic;
        }
        .bottomcustom, .topcustom {
            font-size: 12px;
            font-family: Century Gothic;
        }

        .table-responsive {
          overflow-x: inherit;
        }   
        
        th, td { white-space: nowrap; }
        div.dataTables_wrapper {
            margin: 0 auto;
        }
     
        div.container {
            width: 80%;
        }  

    </style>  

    <!-- Section: inner-header -->
    <section class="inner-header divider overlay-light" data-bg-img="{{ asset('images/header/header2.jpg') }}">
      <div class="container pt-30 pb-30">
        <!-- Section Content -->
        <div class="section-content text-center">
          <div class="row"> 
            <div class="col-md-6 col-md-offset-3 text-center">
              <h2 class="text-theme-colored font-36">Dashboard</h2>
              <ol class="breadcrumb text-center mt-10 white">
                <li class="active"> </li>
              </ol>
            </div>
          </div>
        </div>
      </div>      
    </section>



    

    <section>




      <div class="container">
        <div class="row">
          <div class="col-md-12 col-md-push-0">
            <form method="post" action="{{ route('register') }}"  onsubmit="return validateForm()">

              <input type="hidden" class="form-control form-control-sm" id= "_token" name="_token" value="{{ csrf_token() }}">
              <div class="icon-box mb-0 p-0">
                <a href="#" class="icon icon-bordered icon-rounded icon-sm pull-left mb-0 mr-10">
                  <i class="pe-7s-users"></i>
                </a>
                <h4 class="text-gray pt-10 mt-0 mb-30">Don't have a Subscription yet? Subscribe Now.</h4>
              </div>
              <hr>
              <p class="text-gray">Fill-up the form below with your full details.</p>
              <div class="row">
                <div class="form-group col-md-12">
                  <label for="form_choose_username">Subscription Description (e.g. Diabetes Maintenance)</label>
                  <input id="description" name="description" class="form-control" type="text">
                </div>
              </div>

              <div class="row">
                <div class="form-group col-md-6">
                  <label>No of Months to Subsribe</label>
                  <select class="form-control" id="noofmonths" name="noofmonths">
                    <option value="">Choose No of Months</option>
                    @foreach($submonths as $submonths1)
                    <option value="{{ $submonths1->submonth }}">{{ $submonths1->submonth }} Months</option>
                    @endforeach
                  </select>
                </div>                
                <div class="form-group col-md-6">
                  <label for="form_name">First Delivery Date</label>
                  <input id="fname" name="fname" class="form-control" type="date">
                </div>
              </div>
              <div class="row">
                <div class="form-group col-md-6">
                  <label>Payment Method</label>
                  <select class="form-control" id="paymethod" name="paymethod">
                    <option value="">Choose Payment Method</option>
                    @foreach($paymethods as $paymethods1)
                    <option value="{{ $paymethods1->paymethod }}">{{ $paymethods1->paymethod }}</option>
                    @endforeach
                  </select>
                </div>               
                <div class="form-group col-md-6">
                  <label for="form_name" style="color: red">You are not required to pay the whole duration of your subscription. Payment will be done every delivery and you can pay through Bank Transfer, GCash and Pay in Store.</label>
                </div>
              </div>
              <div class="row">
                <div class="form-group col-md-12">
                  <div class="table-responsive">
                    <table  id="employee-grid" class="display compact custom" cellspacing="0" cellspacing="0" style="width:100%">
                        <thead>
                        <tr>
                            <th>Action</th>
                            <th>Type</th>
                            <th>Address</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>

                        </tbody>

                    </table>                    

                  </div>
                          <div class="btn-add-to-cart-wrapper">
                            <button type="button" class="btn btn-info btn-sm text-white" data-toggle="modal" data-target=".newaddress-modal-lg">Add New Address</button>
                          </div>
                </div>

              </div>
              <div class="modal fade newaddress-modal-lg" id="newaddress-modal-lg" name="newaddress-modal-lg" tabindex="-1" role="dialog">
                <div class="modal-dialog modal-lg">
                  <div class="modal-content">
                    <div class="modal-header">
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                      <h4 class="modal-title" id="myModalLabel2">Add New Address</h4>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                          <div class="form-group col-md-6">
                            <label for="form_choose_password">House No/Street Name</label>
                            <input id="houseno" name="houseno" class="form-control" type="text">
                          </div>
                          <div class="form-group col-md-6">
                            <label>Province</label>
                            <select name="province" id="province" class="form-control form-control-sm select2" data-dependent="city">
                             <option value="">Select Province</option>
                             @foreach($provinces as $provinces)
                             <option value="{{ $provinces->code}}">{{ $provinces->name }}</option>
                             @endforeach
                            </select>
                          </div>
                        </div> 
                        <div class="row">
                          <div class="form-group col-md-6">
                            <label>Town/City/Municipality</label>
                            <select id="city" name="city" class="form-control form-control-sm select2" >
                            </select>
                          </div>
                          <div class="form-group col-md-6">
                            <label>Barangay</label>
                            <select id="barangay" name="barangay" class="form-control form-control-sm select2">
                            </select> 
                          </div>
                        </div> 
                        <div class="row">
                          <div class="form-group col-md-6">
                            <label>Zip Code</label>
                            <input id="zipcode" name="zipcode" class="form-control" type="text">
                            <span><label><input type="checkbox" id="defaultadd" name="defaultadd" onclick = "changeText();"> Set as Default Address </label></span>
                            <input id="defaultaddress" name="defaultaddress" class="form-control" type="hidden">
                          </div>
                          <div class="form-group col-md-6">
                            <label>Barangay</label>
                            <select id="addtype" name="addtype" class="form-control form-control-sm select2">
                                <option value="">Select Address Type</option>
                                <option value="Home">Home</option>
                                <option value="Work">Work</option>
                            </select> 
                          </div>
                        </div>                         

                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                      <button type="button" class="btn btn-primary text-white" onclick="addAddress();">Save changes</button>
                    </div>
                  </div>
                </div>
              </div>     


              <div class="form-group">
                <label for="exampleInputFile">Attach Prescription</label>
                <input type="file" id="prescription" name="prescription[]" multiple>
              </div>
              <div id="image-preview"></div>
             

            </form>
          </div>
        </div>
      </div>
    </section>


    <section class="">
      <div class="container">
        <div class="section-content">
          <div class="row">
            <div class="container">


                <form class="form-inline" action="{{ route('customer.rxsubscribes.create') }}" method="GET" role="search">
                  <div class="form-group">
                    <label for="exampleInputName3">Product Name</label>
                    <input type="text"  id="product_name" name="product_name" placeholder="Product Name">
                  </div>
                  
                  <a href="{{ route('customer.rxsubscribes.create') }}"><button type="submit" >Search</button></a>
                  <a href="{{ route('customer.rxsubscribes.create') }}"><button type="button" >Refresh</button></a>
                  <button type="button" class="btn btn-primary text-white" onclick="SearchProducts();">Search2</button>
                </form>



            </div> 


            <?php /* 
            <div class="col-sm-12 col-md-8">
              <div class="row multi-row-clearfix">
                <div class="products">

                  @foreach($rxproducts as $rxproducts1)
                    <div class="col-sm-6 col-md-4 col-lg-4 mb-30">
                      <div class="product">
                        <!--<span class="tag-sale">Sale!</span>-->
                        @if(! empty($rxproducts1->prod_image))
                        <div class="product-thumb"> <img alt="" src="https://stjosephdrug.com/product_images/{{ $rxproducts1->prod_image }}" class="img-responsive img-fullwidth">
                          <div class="overlay"></div>
                        </div>
                        @else
                          <a href="#"><h5 class="product-title" style="text-align: center"><small>{{ $rxproducts1->product_name }}</small></h5></a>
                        @endif
                        <div class="product-details text-center">
                          <!--<a href="#"><h5 class="product-title"><small>{{ $rxproducts1->product_name }}</small></h5></a>-->
                          <div class="star-rating" title="Rated 4.50 out of 5"><span style="width: 90%;">3.50</span></div>
                          <!---<div class="price"><del><span class="amount">$520.00</span></del><ins><span class="amount">{{ $rxproducts1->retail_price }}</span></ins></div>-->
                          <div class="price"><ins><span class="amount">Php {{ number_format($rxproducts1->retail_price, 2) }}</span></ins></div>
                          <div class="form-group"><ins><span class="inline" style="display: inline-block;"><input id="qty" name="qty" class="form-control" type="number" placeholder="Qty" style="text-align:center; border: 0px; height:15px" value = "0"></span></ins></div>
                          <div class="btn-add-to-cart-wrapper">
                            <a class="btn btn-default btn-xs btn-add-to-cart" href="#">Add To Cart</a>
                          </div>
                        </div>
                      </div>
                    </div>
                  @endforeach

                </div>

              </div>
              <center>{{ $rxproducts->links() }}</center>
            </div>
            */ ?>

          <div class="col-sm-12 col-md-4">
            <div class="sidebar sidebar-right mt-sm-30">

              <div class="widget">
                <h5 class="widget-title line-bottom">Cart</h5>
                <div class="categories">
                  <ul class="list list-border angle-double-right">
                    <li><a href="#">Creative<span>(19)</span></a></li>
                    <li><a href="#">Portfolio<span>(21)</span></a></li>
                    <li><a href="#">Fitness<span>(15)</span></a></li>
                    <li><a href="#">Gym<span>(35)</span></a></li>
                    <li><a href="#">Personal<span>(16)</span></a></li>
                  </ul>
                </div>
                <div class="form-group">
                  <button class="btn btn-dark btn-lg btn-block mt-15" type="submit">Submit</button>
                </div>
              </div>

            </div>
          </div>
          </div>
        </div>
      </div>
    </section>
 



<link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/jquery.dataTables.css') }}"> 
<link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/buttons.dataTables.min.css') }}"> 

<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jquery.dataTables.min.js') }}"></script>
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/dataTables.buttons.min.js') }}"></script>
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jszip.min.js') }}"></script>
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/pdfmake.min.js') }}"></script>
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/vfs_fonts.js') }}"></script>
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/buttons.html5.min.js') }}"></script>
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/buttons.colVis.min.js') }}"></script> 




    <script>
    $(document).ready(function(){

      LoadAllData();

      $('#province').on('change', function () {
          var provcode = this.value;
          $("#city").html('');
          $.ajax({
              url: "{{url('fetchCity')}}",
              type: "POST",
              data: {
                  provcode: provcode,
                  _token: '{{csrf_token()}}'
              },
              dataType: 'json',
              success: function (result) {
                  $('#city').html('<option value=""> Select Town/City/Municipality </option>');
                  $.each(result.cities, function (key, value) {
                      $("#city").append('<option value="' + value.code + '">' + value.name + '</option>');
                  });
                  $('#barangay').html('<option value="">Select Barangay</option>');
              }
          });
      });


      $('#city').on('change', function () {
          var cmcode = this.value;
          $("#barangay").html('');
          $.ajax({
              url: "{{url('fetchBarangay')}}",
              type: "POST",
              data: {
                  cmcode: cmcode,
                  _token: '{{csrf_token()}}'
              },
              dataType: 'json',
              success: function (res) {
                  $('#barangay').html('<option value="">Select Barangay</option>');
                  $.each(res.barangays, function (key, value) {
                      $("#barangay").append('<option value="' + value.code + '">' + value.name + '</option>');
                  });
              }
          });
      });

    });

    </script>

    <script>
    function validateForm() {


      if(document.getElementById('email').value == "" ){
          alert("Please Enter Email Address to Continue!");
           return false;
      } 

      if(document.getElementById('password').value == "" ){
          alert("Please Enter Password to Continue!");
           return false;
      }  

      if(document.getElementById('password').value != document.getElementById('cpassword').value ){
          alert("Password and Confirm Password does not match!");
           return false;
      }
      
      if(document.getElementById('lname').value == "" ){
          alert("Please Enter Last Name to Continue!");
           return false;
      }
      if(document.getElementById('fname').value == "" ){
          alert("Please Enter First Name to Continue!");
           return false;
      }
      if(document.getElementById('mname').value == "" ){
          alert("Please Enter Middle Name to Continue!");
           return false;
      }      

      if(document.getElementById('mobileno').value == "" ){
          alert("Please Enter Mobile No to Continue!");
           return false;
      }  

      if(document.getElementById('birthdate').value == "" ){
          alert("Please Enter Birth Date to Continue!");
           return false;
      }  

      if(document.getElementById('birthplace').value == "" ){
          alert("Please Enter Birth Place to Continue!");
           return false;
      } 

      if(document.getElementById('gender').value == "" ){
          alert("Please Select Gender to Continue!");
           return false;
      } 


      var ok = confirm("Are you sure you want Save Record?");
      if(ok){  
        return true; 
      } else {  
        return false; 
      }

    }

    </script>


<script>
function LoadAllData() {

    fill_datatable();

    function fill_datatable()
    {
        var dataTable = $('#employee-grid').DataTable({
            //scrollY:        "300px",
            scrollX:        true,
            scrollCollapse: true,
            paging:         true,
            columnDefs: [
            //    { width: '20%', targets: 0 }
                { className: 'text-center', targets: [0, 2] },
            ],
            fixedColumns: true,

            processing: true,
            serverSide: true,
            searchable: true,
            searching: false,

        dom: 'Blfrtip',
        buttons: [
        ], 
            "lengthMenu": [[10, 20, 30, 40, 50, 100 - 1], [10, 20, 30, 40, 50, 100, "All"]],
            "pageLength": 10,                   

            ajax:{
                url: "{{ route('customer.useraddresses.index') }}",
            },
            columns: [
                {data: 'action', name: 'action', orderable: false, searchable: false},
                {
                    data:'type',
                    name:'type'
                },
                {
                    data:'fulladdress',
                    name:'fulladdress'
                },
                {
                    data:'defaultadd',
                    name:'defaultadd'
                }

            ]
        });
    }

  


}
</script>

<script>  

function addAddress() {


    //alert($('#leavetype').val());
    if($('#addtype').val() == ""){
        alert('Please Select Address Type to Continue!');
    }else if($('#houseno').val() == ""){
        alert('Please Enter House No/Street Continue!');
    }else if($('#province').val() == ""){
        alert('Please Select Province to Continue!');  

    }else if($('#city').val() == ""){
        alert('Please Select City to Continue!'); 
    }else if($('#barangay').val() == ""){
        alert('Please Select Barangay to Continue!');             
 
    }else{

        var ok = confirm("Are you sure you want to Add Address to the List?");
        if(ok){
            $.ajax({
                url: "{{ route('customer.useraddresses.store') }}",
                dataType:'JSON',
                data: {
                    _token:"{{csrf_token()}}",
                    addtype: $('#addtype').val(),
                    houseno: $('#houseno').val(),
                    barangay: $('#barangay').val(),
                    city: $('#city').val(),
                    province: $('#province').val(),
                    zipcode: $('#zipcode').val(),
                    defaultaddress: $('#defaultaddress').val()
                },
                type: "POST",
                success: function(data){
                data = $.trim(data);
                //var str = $.trim(data);
                //alert(data);
                document.getElementById('addtype').value = "";
                document.getElementById('houseno').value = "";
                document.getElementById('barangay').value = "";
                document.getElementById('city').value = "";
                document.getElementById('province').value = "";
                document.getElementById('zipcode').value = "";
                $('#newaddress-modal-lg').modal('hide');

                $('#employee-grid').DataTable().destroy();
                
                LoadAllData();

                }
            });
        }


    }



}
</script>

<script>
function DeleteUserAddress(element) {

     var id = element.getAttribute('id');

    var ok = confirm("Are you sure you want to Delete Selected Record?");
    if(ok){
      $.ajax({
        url: "{{ route('customer.useraddresses.destroy', "+id+") }}",

        data: {
          _token:"{{csrf_token()}}",
          id: id
        },
        type: "DELETE",
        
        success: function(data){
          data = $.trim(data);
          var str = $.trim(data);

          $('#employee-grid').DataTable().destroy();
           LoadAllData(); 

          if(data === "SUCCESS"){
            alert("Form has been submitted!");
            location.reload(true);
            //window.location.reload();
          } //else{alert(data);}
        }
      });
    }



}
//});


</script>


<script>  

function SearchProducts() {


    //alert($('#leavetype').val());
    if($('#product_name').val() == ""){
        alert('Please Enter Product Name to Continue!');
    }else{

            $.ajax({
                url: "{{ route('searchproducts') }}",
                dataType:'JSON',
                data: {
                    _token:"{{csrf_token()}}",
                    product_name: $('#product_name').val()
                },
                type: "POST",
                success: function(data){
                data = $.trim(data);
                //var str = $.trim(data);
                //alert(data);
                document.getElementById('addtype').value = "";
                document.getElementById('houseno').value = "";
                document.getElementById('barangay').value = "";
                document.getElementById('city').value = "";
                document.getElementById('province').value = "";
                document.getElementById('zipcode').value = "";
                $('#newaddress-modal-lg').modal('hide');

                $('#employee-grid').DataTable().destroy();
                
                LoadAllData();

                }
            });



    }



}
</script>



    <script type="text/javascript">
  
    
        $('#prescription').on('change', function(){ 
            if (window.File && window.FileReader && window.FileList && window.Blob)
            {  
                var data = $(this)[0].files; 
                $.each(data, function(index, file){ 
                    if(/(\.|\/)(gif|jpe?g|png)$/i.test(file.type)){ 
                        var fRead = new FileReader(); 
                        fRead.onload = (function(file){ 
                        return function(e) {
                            $('#image-preview').append("<div style='display: inline' id='img-cont'><img class='thumb' width='50' height='50' src='"+e.target.result+"'/></div>"); 
                        };
                        })(file);
                        fRead.readAsDataURL(file); 
                    } 

                   if(/(\.|\/)(gif|jpe?g|png)$/i.test(file.type) == ''){ 

                        var fRead = new FileReader(); 
                        fRead.onload = (function(file){ 
                        return function(e) {
                            $('#image-preview').append("<div style='display: inline' id='img-cont'><img class='thumb' width='50' height='50' src='{{ asset('storage/icons/file.png') }}'/></div>"); 
                        };
                        })(file);
                        fRead.readAsDataURL(file); 
                    } 
                });
            }else{
                alert("Your browser doesn't support File API!"); 
            }
        });

      </script>    

<script>
function changeText() {

  var checkValue = $("input[name='defaultadd']:checked").val();
  
  if(checkValue){
      document.getElementById('defaultaddress').value = "Default";
  }else{
      document.getElementById('defaultaddress').value = "";
  }

}
</script>  




@endsection