@extends('layouts.law')
@section('content')




<style>
body {
    background: #eee
}

.ratings i {
    font-size: 16px;
    color: red
}

.strike-text {
    color: red;
    text-decoration: line-through
}

.product-image {
    width: 100%
}

.dot {
    height: 7px;
    width: 7px;
    margin-left: 6px;
    margin-right: 6px;
    margin-top: 3px;
    background-color: blue;
    border-radius: 50%;
    display: inline-block
}

.spec-1 {
    color: #938787;
    font-size: 15px
}

h5 {
    font-weight: 400
}

.para {
    font-size: 16px
}

.ui-autocomplete
{
    position:absolute;
    cursor:default;
    z-index:1100 !important;
}


</style>
    <section id="home" class="divider bg-lighter">
      <div class="display-table">
        <div class="display-table-cell">
          <div class="container">
            <div class="row">
              <div class="col-md-6 col-md-push-3">
                <div class="text-center mb-60"><a href="#" class=""><img alt="" src="images/medfinder3.png" height="150" width="220" alt="Med Finder"></a></div>
                <div class="bg-lightest border-1px p-30 mb-0">
                  <h3 class="text-theme-colored mt-0 pt-5"> Search Medicine</h3>
                  <hr>
                  <form id="medfinder_form" name="medfinder_form" action="{{ route('searchmeds') }}" method="get" enctype="multipart/form-data" >
                    @csrf

                    <div class="row">               
                      <div class="col-sm-12">
                        <div class="form-group">
                          <input id="itemdesc" name="itemdesc" type="text" placeholder="Enter Product Name"  required="" class="form-control">
                        </div>
                      </div>
                    </div>                     
                    <div class="row">               
                      <div class="col-sm-12">
                        <div class="form-group">
                          <label for="form_sex">Province</label>
                          <select id="provcode" name="provcode" class="form-control">
                            
                            @if(!empty($sprovince))
                              <option value="{{ $sprovince->s_provcode }}">{{ $sprovince->s_provname }}</option>
                            @endif
                            <option value="">All</option>
                            @foreach($provinces as $provinces1)
                                <option value="{{ $provinces1->s_provcode }}">{{ $provinces1->s_provname }}</option>
                            @endforeach                            
                          </select>
                        </div>
                      </div>
                    </div>                    
                    <div class="row">               
                      <div class="col-sm-12">
                        <div class="form-group">
                          <label >Town/City</label>
                          <select id="towncode" name="towncode" class="form-control form-control-sm select2">
                            
                            @if(!empty($stown))
                              <option value="{{ $stown->s_towncode }}">{{ $stown->s_townname }}</option>
                            @endif
                            <option value="">All</option>
                            @if(!empty($sprovince->s_provcode))
                              @foreach($towns as $town1)
                                  <option value="{{ $town1->s_towncode }}">{{ $town1->s_townname }}</option>
                              @endforeach                 
                            @endif           
                          </select>
                        </div>
                      </div>
                    </div>


                    <div class="form-group">
                      <input id="form_botcheck" name="form_botcheck" class="form-control" type="hidden" value="" />
                      <button type="submit" class="btn btn-block btn-dark btn-theme-colored btn-sm mt-20 pt-10 pb-10" >SEARCH</button>
                      @if ($results != "")
                      <p style="text-align: center; color: red"><i class="fa fa-arrow-down"></i> <b>See Results Below</b> <i class="fa fa-arrow-down"></i></p>
                      @endif
                    </div>
                  </form>




                  <!-- Job Form Validation-->
                  <script type="text/javascript">
                    $("#job_apply_form").validate({
                      submitHandler: function(form) {
                        var form_btn = $(form).find('button[type="submit"]');
                        var form_result_div = '#form-result';
                        $(form_result_div).remove();
                        form_btn.before('<div id="form-result" class="alert alert-success" role="alert" style="display: none;"></div>');
                        var form_btn_old_msg = form_btn.html();
                        form_btn.html(form_btn.prop('disabled', true).data("loading-text"));
                        $(form).ajaxSubmit({
                          dataType:  'json',
                          success: function(data) {
                            if( data.status == 'true' ) {
                              $(form).find('.form-control').val('');
                            }
                            form_btn.prop('disabled', false).html(form_btn_old_msg);
                            $(form_result_div).html(data.message).fadeIn('slow');
                            setTimeout(function(){ $(form_result_div).fadeOut('slow') }, 6000);
                          }
                        });
                      }
                    });
                  </script>
                </div>

              </div>

             
            </div>
          </div>
        </div>

      </div>



    </section>

    <section>
      <div class="display-table">
        <div class="display-table-cell">
          <div class="container">      
                @if ($results != "")
                      <div class="container">
                                    <br><br>
                                    <div class="col-md-12">  
                                      @if (count($results) != 0)
                                        @foreach($results as $item)
                          

                                          <div class="bg-lightest border-1px p-30 mb-0">

                                          <div class="row p-2 bg-white border rounded">

                                              <div class="col-md-8 mt-1">
                                                  <h5><b>{{ $item->s_skudescx }}</b></h5>
                                                  
                                                  <div class="mt-1 mb-1 spec-1"><span>{{ $item->s_brncname }}</span></div>

                                                  <div class="mt-1 mb-1 spec-1"><span><i class="fa fa-clock-o"></i><small> {{ $item->s_schedule }}</small></span></div>
                                                  <?php
                                                  $latlong = str_replace("{","", $item->s_latilong);
                                                  $latlong = str_replace("}","", $latlong);
                                                  $latlong = str_replace("lat:","", $latlong);
                                                  $latlong = str_replace("lng:","", $latlong);
                                                  $link = "https://www.google.com/maps/search/?api=1&query=". $latlong;
                                                  ?>

                                                  <p class="text-justify text-truncate para mb-0"><a href="{{ $link }}" target="_blank"><i class="fa fa-map-marker"></i><small> {{ $item->s_brncaddr }}</small></a>
                                                  <a href="{{ $link }}" class="btn-xs btn-info" target="_blank" ><small>View Location</small></a><br></p>
                                                  @if($item->s_contnmbr == "")
                                                  <p class="text-justify text-truncate para mb-0"><i class="fa fa-phone"></i><small> {{ $item->s_mobileno }}</small></p>
                                                  @else
                                                  <p class="text-justify text-truncate para mb-0"><i class="fa fa-phone"></i><small> {{ $item->s_mobileno }} / {{ $item->s_contnmbr }}</small></p>
                                                  @endif


                                                
                                              </div>
                                              <div class="align-items-center align-content-center col-md-3 border-left mt-1">
                                                  <div class="d-flex flex-row align-items-center">
                                                      <h4 class="mr-1">Php {{ number_format($item->n_retlprce, 2) }}</h4>
                                                  </div>
                                                  <h6 class="text-success">Stocks on Hand: {{ $item->n_qtyohand }}</h6>
                                                  <div class="d-flex flex-column mt-4">
                                                    
                                                    <a href="https://www.stjosephdrug.com" class="btn btn-block btn-primary btn-sm" target="_blank">Order Online</a>
                                                    <?php
                                                      $id = $item->s_itemnmbr. "|". $item->s_brnccode. "|". $item->s_skunumbr;
                                                    ?>
                                                    <button class="btn btn-outline-primary btn-block btn-sm mt-2" type="button" onclick="window.location.href='{{ route('reserveprod', $id) }}'">Reserve for Pick-Up</button>

                                                  </div>
                                              </div>
                                          </div>

                                        </div>

                                        @endforeach
                                      @else
                                        <h4 style="text-align:center;">ITEM IS OUT OF STOCK</h4>

                                      @endif
                                    </div>
                    
                      </div>


                @endif
          </div>
        </div>
      </div>       

    </section>

<link rel="stylesheet" href="{{ asset('mylib/autocomplete/jquery-ui.css') }}">
<script src="{{ asset('mylib/autocomplete/jquery-3.6.0.js') }}"></script>
<script src="{{ asset('mylib/autocomplete/jquery-ui.js') }}"></script>

<script>
    $(document).ready(function () {
        $('#provcode').on('change', function () {
            var provcode = this.value;
            $("#towncode").html('');
            $.ajax({
                url: "{{url('fetchTown')}}",
                type: "POST",
                data: {
                    provcode: provcode,
                    _token: '{{csrf_token()}}'
                },
                dataType: 'json',
                success: function (res) {
                    $('#towncode').html('<option value="">All</option>');
                    $.each(res.townnames, function (key, value) {
                        $("#towncode").append('<option value="' + value.s_towncode + '">' + value.s_townname + '</option>');
                    });
                }
            });
        });

  



    });





</script>

<script>
$( function() {
  $("#itemdesc").autocomplete({
    source: function( request, response ) {
      $.ajax( {
        url: "{{ route('autocompleteproduct') }}",
        //dataType: "jsonp",
        data: {
          //str: $('#birds').val()
          str : request.term,
        },
        success: function( data ) {
          response(data);
        }
      } );
    },
    minLength: 3,

    //select: function( event, ui ) {
      //log( "Selected: " + ui.item.value + " aka " + ui.item.id );
      //document.getElementById('itemcode').value = ui.item.itemcode;
      //document.getElementById('id').value = ui.item.id;
      //document.getElementById('itemdesc').value = ui.item.itemdesc;
      //document.getElementById('unitcost').value = ui.item.unitcost;
      //document.getElementById('sysqty').value = ui.item.qty;
      //document.getElementById('withexpiration').value = ui.item.withexpiration;
      //if(document.getElementById('withexpiration').value == "Y"){
      //  document.getElementById('expirydate').disabled = false;
      //} else {
      //  document.getElementById('expirydate').disabled = true;
     // }
    //}
  } );
} );
</script>



<script>
function validateForm() {
  

  if(document.getElementById('itemdesc').value = ""){
      alert("Please Enter Product Name to Continue!");
       return false;
  }


  var ok = confirm("Are you sure you want Search Record?");
  if(ok){  
    return true; 
  } else {  
    return false; 
  }
}
</script>

@endsection