<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Foundation\Auth\EmailVerificationRequest;
use Illuminate\Http\Request;

use App\Http\Controllers\HomeController;
use App\Http\Controllers\RoleController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\WelcomeController;
use App\Http\Controllers\ReservetranController;
use App\Http\Controllers\InvskuController;
use App\Http\Controllers\AboutController;
use App\Http\Controllers\StoreController;


//ADMIN
use App\Http\Controllers\Admin\UsersController;
use App\Http\Controllers\Admin\RolesController;
use App\Http\Controllers\Admin\ElementsController;
use App\Http\Controllers\Admin\DashboardController;
use App\Http\Controllers\Admin\ReservationController;
use App\Http\Controllers\Admin\NotificationController;


/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//Route::get('/', [WelcomeController::class, 'index'])->name('home')->middleware('verified');
//Route::get('/home', [WelcomeController::class, 'index'])->name('home')->middleware('verified');


Route::get('login', function () {
    return view('auth/login');
});

//Route::get('logout', [LoginController::class, 'logout'])->name('logout');
Route::get('logout', '\App\Http\Controllers\Auth\LoginController@logout');

Route::get('/foo', function () {
    Artisan::call('storage:link');
});

Route::get('detect', function() 
{ 
    $agent = new \Jenssegers\Agent\Agent; 
    //$result = $agent->isMobile(); 
    //dd($result); 
}); 


Auth::routes();

//Welcome Controller
Route::get('/', [WelcomeController::class, 'index'])->name('home');
Route::resource('welcome', WelcomeController::class);
Route::get('/home', [WelcomeController::class, 'index'])->name('home');
Route::get('searchmeds', [WelcomeController::class, 'searchmeds'])->name('searchmeds');
Route::get('searchbranchmeds', [WelcomeController::class, 'searchbranchmeds'])->name('searchbranchmeds');
Route::post('fetchTown', [WelcomeController::class, 'fetchTown'])->name('fetchTown');
Route::post('fetchProduct', [WelcomeController::class, 'fetchProduct'])->name('fetchProduct');
Route::get('autocompleteproduct', [WelcomeController::class, 'autocompleteproduct'])->name('autocompleteproduct');
Route::get('reserveprod/{id}', [WelcomeController::class, 'reserveprod'])->name('reserveprod');
Route::get('addproduct/{id}', [WelcomeController::class, 'addproduct'])->name('addproduct');
Route::get('addtocart/{id}', [WelcomeController::class, 'addtocart'])->name('addtocart');
Route::post('savecartitem', [WelcomeController::class, 'savecartitem'])->name('savecartitem');
Route::post('getproductname', [WelcomeController::class, 'getproductname'])->name('getproductname');
Route::post('computetotal', [WelcomeController::class, 'computetotal'])->name('computetotal');
//Route::post('updatereservetrans/{id}', [WelcomeController::class, 'updatereservetrans'])->name('updatereservetrans');
Route::post('updatereservetrans', [WelcomeController::class, 'updatereservetrans'])->name('updatereservetrans');
Route::post('reservepickup', [WelcomeController::class, 'reservepickup'])->name('reservepickup');
Route::post('findURL', [WelcomeController::class, 'findURL'])->name('findURL');
//Reservetran Controller 
Route::resource('reservetrans', ReservetranController::class);
//Invsku Controller 
Route::resource('invskus', InvskuController::class);

Route::get('/about', [AboutController::class, 'index'])->name('about');

Route::resource('stores', StoreController::class);
//Route::get('/delivery', [DeliveryController::class, 'index'])->name('delivery');
//

//ADMIN
Route::group(['middleware' => ['auth'], 'prefix' => 'admin', 'as' => 'admin.'], function () {
    Route::resource('users', UsersController::class);
    Route::resource('roles', RolesController::class);
    Route::resource('elements', ElementsController::class);
    Route::resource('permissions', PermissionsController::class);

    //Route::resource('dashboard', DashboardController::class)->middleware('verified');  //use this if you want user to verify email first before proceeding.
    Route::resource('dashboard', DashboardController::class);
    Route::resource('reservations', ReservationController::class);
    Route::resource('notifications', NotificationController::class);
});

Route::post('subscribers', [DashboardController::class, 'subscribers'])->name('subscribers');
Route::post('allusers', [UsersController::class, 'allusers'])->name('allusers');
Route::post('allroles', [RolesController::class, 'allroles'])->name('allroles');
Route::get('fetchNoti', [NotificationController::class, 'fetchNoti'])->name('fetchNoti');

Route::group(['middleware' => ['auth']], function() {
    Route::resource('roles', RoleController::class);
    Route::resource('users', UserController::class);
});

//LOCATION
Route::get('ip_details', [UserController::class, 'ip_details']);
//Route::get('ip_details', 'UserController@ip_details');




