<!DOCTYPE html>
<html dir="ltr" lang="en">
<head>

<!-- Meta Tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,initial-scale=1.0"/>
<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
<meta name="description" content="Medicine Subscription" />
<meta name="keywords" content="medicine,pharmacy,medical,deliveries,ecommerce,online" />
<meta name="author" content="JiwonSoft" />

<!-- Page Title -->
<title>St Joseph Drug</title>

<!-- Favicon and Touch Icons -->
<link href="<?php echo e(asset('images/stjo.ico')); ?>" rel="shortcut icon" type="image/png">
<link href="<?php echo e(asset('images/apple-touch-icon.png')); ?>" rel="apple-touch-icon">
<link href="<?php echo e(asset('images/apple-touch-icon-72x72.png')); ?>" rel="apple-touch-icon" sizes="72x72">
<link href="<?php echo e(asset('images/apple-touch-icon-114x114.png')); ?>" rel="apple-touch-icon" sizes="114x114">
<link href="<?php echo e(asset('images/apple-touch-icon-144x144.png')); ?>" rel="apple-touch-icon" sizes="144x144">

<!-- Stylesheet -->
<link href="<?php echo e(asset('css/bootstrap.min.css')); ?>" rel="stylesheet" type="text/css">
<link href="<?php echo e(asset('css/jquery-ui.min.css')); ?>" rel="stylesheet" type="text/css">
<link href="<?php echo e(asset('css/animate.css')); ?>" rel="stylesheet" type="text/css">
<link href="<?php echo e(asset('css/css-plugin-collections.css')); ?>" rel="stylesheet"/>
<!-- CSS | menuzord megamenu skins -->
<link id="menuzord-menu-skins" href="<?php echo e(asset('css/menuzord-skins/menuzord-boxed.css')); ?>" rel="stylesheet"/>
<!-- CSS | Main style file -->
<link href="<?php echo e(asset('css/style-main.css')); ?>" rel="stylesheet" type="text/css">
<!-- CSS | Theme Color -->
<link href="<?php echo e(asset('css/colors/theme-skin-green.css')); ?>" rel="stylesheet" type="text/css">
<!-- CSS | Preloader Styles -->
<link href="<?php echo e(asset('css/preloader.css')); ?>" rel="stylesheet" type="text/css">
<!-- CSS | Custom Margin Padding Collection -->
<link href="<?php echo e(asset('css/custom-bootstrap-margin-padding.css')); ?>" rel="stylesheet" type="text/css">
<!-- CSS | Responsive media queries -->
<link href="<?php echo e(asset('css/responsive.css')); ?>" rel="stylesheet" type="text/css">
<!-- CSS | Style css. This is the file where you can place your own custom css code. Just uncomment it and use it. -->
<!-- <link href="css/style.css" rel="stylesheet" type="text/css"> -->
<link href="<?php echo e(asset('images/stjo.ico')); ?>" rel="shortcut icon" type="image/png">

<!-- external javascripts -->
<script src="<?php echo e(asset('js/jquery-2.2.0.min.js')); ?>"></script>
<script src="<?php echo e(asset('js/jquery-ui.min.js')); ?>"></script>
<script src="<?php echo e(asset('js/bootstrap.min.js')); ?>"></script>
<!-- JS | jquery plugin collection for this theme -->
<script src="<?php echo e(asset('js/jquery-plugin-collection.js')); ?>"></script>



<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->
</head>
<body class="">
<div id="wrapper">
  <!-- preloader -->
  <!--
  <div id="preloader">
    <div id="spinner">
      <img src="images/preloaders/1.gif" alt="">
    </div>
    <div id="disable-preloader" class="btn btn-default btn-sm">Disable Preloader</div>
  </div>
-->
  
  <!-- Header -->
  <header id="header" class="header">
    <div class="header-top bg-theme-colored sm-text-center">
      <div class="container">
        <div class="row">
          <div class="col-md-7">
            <div class="widget no-border m-0">
              <ul class="list-inline sm-text-center mt-5 mb-sm-15">
                <?php $username = "Guest"; ?>
                <?php if(auth()->guard()->check()): ?>
                    <?php $username = auth()->user()->name ?>   
                    <li class="m-0 pl-10 pr-10"> <i class="fa fa-user text-white"></i> <a class="text-white" href="#">Welcome <b><?php echo e($username); ?></b></a> </li>
                <?php else: ?>             
                  <li class="m-0 pl-10 pr-10"> <i class="fa fa-phone text-white"></i> <a class="text-white" href="#">Call us at (075) 522 1740</a> </li>
                  <li class="m-0 pl-10 pr-10"> <i class="fa fa-envelope-o text-white"></i> <a class="text-white" href="#">
                support@stjosephdrug.com</a> </li>
                <?php endif; ?>
              </ul>
            </div>
          </div>
          <div class="col-md-5">
            <div class="widget no-border m-0">
              <ul class="list-inline sm-text-center mt-5 mb-sm-15">
                <?php if(auth()->guard()->check()): ?>
                
                <li class="text-white p-5 font-12 pl-10 pr-10 mt-5 pull-right sm-pull-none"> <a class="text-white" href="<?php echo e(route('logout')); ?>" onclick="event.preventDefault(); document.getElementById('logout-form').submit();"><b>LOGOUT</b></a> 
                  <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" class="d-none">
                      <?php echo csrf_field(); ?>
                  </form> 
                </li>


                <?php else: ?>
                  <li class="p-5 font-12 pl-10 pr-10 mt-5 pull-right sm-pull-none"> <a class="text-white" href="<?php echo e(route('register')); ?>">Subscribe Now!</a> </li>
                  <li class="text-white p-5 font-12 pl-10 pr-10 mt-5 pull-right sm-pull-none"> <a class="text-white" href="<?php echo e(route('login')); ?>"><b>LOGIN</b></a> </li>
                <?php endif; ?>                
                
              </ul>

              <ul class="social-icons icon-sm sm-text-center pull-right sm-pull-none mt-sm-15">
                <li><a href="https://www.facebook.com/st.josephdrug/?ref=page_internal" target="_blank"><i class="fa fa-facebook text-white"></i></a></li>
                <li><a href="https://twitter.com/stjosephdrug?lang=en" target="_blank"><i class="fa fa-twitter text-white"></i></a></li>
                <li><a href="https://ph.linkedin.com/in/st-joseph-drug-joleco-resources-inc-7369b7194" target="_blank"><i class="fa fa-linkedin text-white"></i></a></li>
              </ul>

            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="header-nav">
      <div class="header-nav-wrapper navbar-scrolltofixed bg-lightest">

        <div class="container">
          <nav>
            <div id="menuzord-right" class="menuzord red"> <a class="menuzord-brand" href="javascript:void(0)"><img src="<?php echo e(asset('images/logo-wide.png')); ?>" alt=""></a>

              <ul class="menuzord-menu">
                <li class="nav-link <?php echo e(request()->is('home') || request()->is('home/*') ? 'active' : ''); ?>"><a href="<?php echo e(route('home')); ?>">Home</a></li>
                <li class="nav-link <?php echo e(request()->is('about') || request()->is('about/*') ? 'active' : ''); ?>"><a href="<?php echo e(route('about')); ?>">About Us</a></li>
                <li><a href="#">Services</a>
                  <ul class="dropdown">
                    <li><a href="<?php echo e(route('delivery.index')); ?>">SJ Delivery</a></li>
                    <li><a href="<?php echo e(route('online')); ?>">Online Store</a></li>
                    <li><a href="<?php echo e(route('medsubs.index')); ?>">Rx Subscription</a></li>
                    <li><a href="#">Rx Refill</a></li>
                    <li><a href="#">Rx Med Finder</a></li>


                  </ul>
                </li>
                <li><a href="https://www.stjosephdrug.com" target="_blank">Online Store</a></li>
                <li><a href="#">Store Locator</a></li>
                <li><a href="#">Contact Us</a></li>

                
              </ul>
            </div>

          </nav>

        </div>
      </div>
    </div>
  </header>
  




  <!-- Start main-content -->
  <div class="main-content">
    <!-- Section: home -->
    <?php echo $__env->yieldContent('content'); ?>


  </div>
  <!-- end main-content -->

  <a class="scrollToTop" href="#"><i class="fa fa-angle-up"></i></a>
</div>
<!-- end wrapper -->
  <!-- Footer -->
  <footer id="footer" class="footer pb-0 bg-deep">
    <div class="container pb-20">
      <div class="row multi-row-clearfix">
        <div class="col-md-6 col-md-offset-3 text-center">
          <img alt="" src="<?php echo e(asset('images/sjd footer.jpg')); ?>" >
          <p class="font-12 mt-20 mb-20">The most trusted family health care pharmacy in the North.</p>
          <ul class="list-inline social-icons icon-sm icon-hover-theme-colored icon-gray icon-circled text-center mt-30 mb-60">
            <li><a href="https://www.facebook.com/st.josephdrug/?ref=page_internal" target="_blank"><i class="fa fa-facebook"></i></a> </li>
            <li><a href="https://twitter.com/stjosephdrug?lang=en" target="_blank"><i class="fa fa-twitter"></i></a> </li>
            <li><a href="https://www.pinterest.ph/pin/436004807653298513/" target="_blank"><i class="fa fa-pinterest" target="_blank"></i></a> </li>
            <li><a href="https://www.youtube.com/watch?v=__tTctuv29o" target="_blank"><i class="fa fa-youtube"></i></a> </li>
          </ul>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-6 col-md-3">
          <div class="widget dark"> <img alt="" src="<?php echo e(asset('images/stjoseph2.png')); ?>" width="150" height="150">
            <p class="font-12 mt-20 mb-10"></p>
            
          </div>
        </div>

        <div class="col-sm-6 col-md-3">
          <div class="widget dark">
            <h5 class="widget-title line-bottom">Pages</h5>
            <ul class="list-border">
              <li><a href="<?php echo e(route('about')); ?>">About Us</a></li>
              <li><a href="<?php echo e(route('delivery.index')); ?>">SJ Delivery</a></li>

              <li><a href="#">Online Store</a></li>
              <li><a href="#">Rx Subscription</a></li>
              <li><a href="#">RX Refill</a></li>
              <li><a href="#">RX Med Finder</a></li>
            </ul>
          </div>
        </div>
        <div class="col-sm-6 col-md-3">
          <div class="widget dark">
            <h5 class="widget-title line-bottom">Quick Contact</h5>
            <form id="footer_quick_contact_form" name="footer_quick_contact_form" class="quick-contact-form" action="includes/quickcontact.php" method="post">
              <div class="form-group">
                <input id="form_email" name="form_email" class="form-control" type="text" required="" placeholder="Enter Email">
              </div>
              <div class="form-group">
                <textarea id="form_message" name="form_message" class="form-control" required placeholder="Enter Message" rows="3"></textarea>
              </div>
              <div class="form-group">
                <input id="form_botcheck" name="form_botcheck" class="form-control" type="hidden" value="" />
                <button type="submit" class="btn btn-default btn-transparent btn-xs btn-flat mt-0" data-loading-text="Please wait...">Send Message</button>
              </div>
            </form>

            <!-- Quick Contact Form Validation-->
            <script type="text/javascript">
              $("#footer_quick_contact_form").validate({
                submitHandler: function(form) {
                  var form_btn = $(form).find('button[type="submit"]');
                  var form_result_div = '#form-result';
                  $(form_result_div).remove();
                  form_btn.before('<div id="form-result" class="alert alert-success" role="alert" style="display: none;"></div>');
                  var form_btn_old_msg = form_btn.html();
                  form_btn.html(form_btn.prop('disabled', true).data("loading-text"));
                  $(form).ajaxSubmit({
                    dataType:  'json',
                    success: function(data) {
                      if( data.status == 'true' ) {
                        $(form).find('.form-control').val('');
                      }
                      form_btn.prop('disabled', false).html(form_btn_old_msg);
                      $(form_result_div).html(data.message).fadeIn('slow');
                      setTimeout(function(){ $(form_result_div).fadeOut('slow') }, 6000);
                    }
                  });
                }
              });
            </script>
          </div>
        </div>
      </div>
    </div>
    <div class="container-fluid bg-black-222 p-20">
      <div class="row text-center">
        <div class="col-md-12">
          <p class="font-11 m-0">Copyright &copy;2021 St Joseph Drug. All Rights Reserved</p>
          <p><small>JS version 1.0</small></p>
        </div>
      </div>
    </div>
  </footer>
  <a class="scrollToTop" href="#"><i class="fa fa-angle-up"></i></a>
</div>
<!-- end wrapper -->

<!-- Footer Scripts -->
<!-- JS | Custom script for all pages -->
<script src="<?php echo e(asset('js/custom.js')); ?>"></script>

</body>
</html><?php /**PATH D:\xampp\htdocs\meds\resources\views/layouts/law.blade.php ENDPATH**/ ?>