@extends('layouts.main') 
@section('title', 'Approve Reservation')
@section('content')

    <!-- push external head elements to head -->
    @push('head')
        <link rel="stylesheet" href="{{ asset('plugins/select2/dist/css/select2.min.css') }}">
        <link rel="stylesheet" href="{{ asset('plugins/summernote/dist/summernote-bs4.css') }}">
        <link rel="stylesheet" href="{{ asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.css') }}">
        <link rel="stylesheet" href="{{ asset('plugins/mohithg-switchery/dist/switchery.min.css') }}">

        <style>

        .stamp {
          transform: rotate(12deg);
          color: #6495ED;
          font-size: 2rem;
          font-weight: 700;
          border: 0.25rem solid #6495ED;
          display: inline-block;
          padding: 0.25rem 1rem;
          text-transform: uppercase;
          border-radius: 1rem;
          font-family: 'Courier';
          -webkit-mask-image: url("{{ asset('mylib/images/grunge.png') }}");
          -webkit-mask-size: 944px 604px;
          mix-blend-mode: multiply;
        }

        .is-nope {
          color: #D23;
          border: 0.5rem double #D23;
          transform: rotate(3deg);
          -webkit-mask-position: 2rem 3rem;
          font-size: 2rem;  
        }

        .is-approved {
          color: #0A9928;
          border: 0.5rem solid #0A9928;
          -webkit-mask-position: 13rem 6rem;
          transform: rotate(-14deg);
          border-radius: 0;
        } 

        .is-draft {
          color: #17a2b8;
          border: 1rem double #17a2b8;
          transform: rotate(-5deg);
          font-size: 1rem;
          font-family: "Open sans", Helvetica, Arial, sans-serif;
          border-radius: 0;
          padding: 0.5rem;
        } 

        .is-cancelled {
          transform: rotate(12deg);
          color: #f0944d;
          font-size: 2rem;
          font-weight: 400;
          border: 0.25rem solid #f0944d;
          display: inline-block;
          padding: 0.50rem 2rem;
          text-transform: uppercase;
          border-radius: 1rem;
          font-family: 'Courier';
          -webkit-mask-image: url("{{ asset('mylib/images/grunge.png') }}");
          -webkit-mask-size: 900px 600px;
          mix-blend-mode: multiply;
        }
        #x {
            position: absolute;
            background: red;
            color: white;
            top: -10px;
            right: -10px;
        }        

        </style>

    @endpush

    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-user-plus bg-blue"></i>
                        <div class="d-inline">
                            <h5>{{ __('Approve Reservation')}}</h5>
                            <span>{{ __('Approve Reservation')}}</span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="{{route('home')}}"><i class="ik ik-home"></i></a>
                            </li>
                            <li class="breadcrumb-item"><a href="{{ route('admin.users.index') }}">{{ __('List of Reservation')}}</a></li>
                            @if($reservations->status == "For Confirmation")
                                <li class="breadcrumb-item active" aria-current="page">{{ __('Reservation for Confirmation')}}</li>
                            @endif
                            @if($reservations->status == "For Pickup")
                                <li class="breadcrumb-item active" aria-current="page">{{ __('Reservation for Pickup')}}</li>
                            @endif                            
                        </ol>
                    </nav>
                </div>
            </div>
        </div>



        <!--<form method="post" action="{{ route('admin.reservations.update', [$reservations->reservedid]) }}" enctype="multipart/form-data" onsubmit="return validateForm()"> -->
              @csrf
              @method('PUT')            
            <div class="row">
            
                <div class="col-md-6">
                    <div class="card">
                        <div class="card-header"><h3>{{ __('Customer Information')}}</h3></div>
                        <div class="card-body">
                            <div class="row">

                                <div class="col-md-12">
                                        <input type="hidden" class="form-control" id="reservedid" name="reservedid" value="{{ $reservations->reservedid }}" readonly>
                                        <input type="hidden" class="form-control" id="branchcode" name="branchcode" value="{{ $reservations->branchcode }}" readonly>
                                        <div class="form-group">
                                            <label for="exampleInputName1">{{ __('Name')}}</label>
                                            <input type="text" class="form-control" id="lname" name="lname" placeholder="Last Name" value="{{ $reservations->fullname }}" readonly>
                                        </div>
                          
                                        <div class="form-group row">
                                            
                                            <div class="col-sm-6">
                                              <label for="exampleInputName1">{{ __('Mobile No')}}</label>  
                                              <input type="text" class="form-control form-control-sm" id="mobileno" name = "mobileno" placeholder="Mobile No" value="{{ $reservations->mobileno }}" readonly>
                                            </div>
                                            <div class="col-sm-6">
                                              <label for="exampleInputName1">{{ __('Phone No')}}</label>    
                                              <input type="text" class="form-control form-control-sm" id="phoneno" name = "phoneno" placeholder="Phone No" value="{{ $reservations->phoneno }}" readonly>
                                            </div> 
                                        </div>  
                                        <div class="form-group row">
                                            <div class="col-sm-6">
                                              <label for="exampleInputName1">{{ __('Branch Name')}}</label> 
                                              <input type="text" class="form-control form-control-sm" id="branchname" name = "branchname" placeholder="Branch Code" value="{{ $reservations->branchname }}" readonly>
                                            </div>
                                            <div class="col-sm-6">
                                              <label for="exampleInputName1">{{ __('Reserved Date')}}</label>   
                                              <input type="date" class="form-control form-control-sm" id="reserveddate" name = "reserveddate" placeholder="Phone No" value="{{ $reservations->reserveddate }}" readonly>
                                            </div> 
                                        </div>  
                                        <h6  class="sub-title" style="color:blue;"><b>ACTION FOR APPROVAL <span style="color:red; font-size: 8px;">*</span></b></h6>
                                        <div class="form-radio" style="align-text: center;">
                                            <div class="form-group row radio">
                                                <input type="radio" name="appradio" id="appradio" value="" onclick = "changeText();" style="display: none;"  checked="checked" >
                                                <div class="col-sm-3">
                                                    <label style="color:green; font-size: 14px;" class="radio-inline">
                                                        <input class="radio-inline" type="radio" name="appradio" id="appradio" value="Approved" onclick = "changeText();"><i class="helper"></i> CONFIRMED
                                                    </label>
                                                </div>
                                                <div class="col-sm-3">
                                                    <label style="color:red; font-size: 14px;" class="radio-inline">
                                                        <input class="radio-inline" type="radio" name="appradio" id="appradio" value="Disapproved" onclick = "changeText();">
                                                        <i class="helper"></i> DISAPPROVE
                                                    </label> 
                                                </div>
                                                <div class="col-sm-6">
 
                                                </div>
                                            </div>  
                                            <input type="hidden" class="form-control form-control-sm"  id= "status" name="status"  readonly>

                                            <!--
                                            <div class="radio radio-inline" style="display: inline;">
                                                <input type="radio" name="appradio" id="appradio" value="" onclick = "changeText();" style="display: none;"  checked="checked" >
                                                <label style="color:green; font-size: 14px;" class="radio-inline">
                                                    <input class="radio-inline" type="radio" name="appradio" id="appradio" value="Approved" onclick = "changeText();"><i class="helper"></i> CONFIRMED
                                                </label>
                                                <label style="color:red; font-size: 14px;" class="radio-inline">
                                                    <input class="radio-inline" type="radio" name="appradio" id="appradio" value="Disapproved" onclick = "changeText();">
                                                    <i class="helper"></i> DISAPPROVE
                                                </label>  
                                            </div>
                                            -->
                                                
                                        </div>
                                      
                                        <button class="btn btn-success" onclick="window.location.href='{{ route('admin.reservations.index') }}'">{{ __('Back to List')}}</button>
                                        <button class="btn btn-primary" type="submit">{{ __('Submit')}}</button>


                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="card">
                        <div class="card-header"><h3>{{ __('Product Information')}}</h3></div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12">
                                        <div class="form-group row">
                                            
                                            <div class="col-sm-6">
                                              <label for="exampleInputName1">{{ __('Product Name')}}</label>  
                                              <input type="text" class="form-control form-control-sm" id="totalqty" name = "totalqty" placeholder="Total Qty" style="text-align: right" value="{{ $reservations->totalqty }}" readonly>
                                            </div>
                                            <div class="col-sm-6">
                                              <label for="exampleInputName1">{{ __('Qty')}}</label>    
                                              <input type="text" class="form-control form-control-sm" id="total" name = "total" placeholder="Total" style="text-align: right; font-weight: bold;" value="{{ number_format($reservations->total, 2) }}" readonly>
                                            </div> 
                                        </div> 
                                </div>
                            </div>                            
                            <div class="row">
                                <div class="col-md-12">
                                        <div class="form-group row">
                                            
                                            <div class="col-sm-6">
                                              <label for="exampleInputName1">{{ __('Total Qty')}}</label>  
                                              <input type="text" class="form-control form-control-sm" id="totalqty" name = "totalqty" placeholder="Total Qty" style="text-align: right" value="{{ $reservations->totalqty }}" readonly>
                                            </div>
                                            <div class="col-sm-6">
                                              <label for="exampleInputName1">{{ __('Total (Php)')}}</label>    
                                              <input type="text" class="form-control form-control-sm" id="total" name = "total" placeholder="Total" style="text-align: right; font-weight: bold;" value="{{ number_format($reservations->total, 2) }}" readonly>
                                            </div> 
                                        </div> 
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="col-md-12 col-md-offset-1">
                                        <div data-example-id="simple-responsive-table" class="bs-example">
                                            <table  id="employee-grid" class="display compact custom" cellspacing="0" cellspacing="0" style="width:100%">
                                                <thead>
                                                <tr>
                                                    <th>Action</th>
                                                    <th>Product Name</th>
                                                    <th>Price</th>
                                                    <th>Qty</th>
                                                    <th>Amount</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                
                                                </tbody>
                                            </table> 
                                        </div>
                                    </div>

                                    <div class="row">
                                      <div class="col-md-10 col-md-offset-1 mt-30">
                                        <div class="row">
                                          <div class="col-md-12">
                                            <h4>Add Other Product for Pickup</h4>
                              
                                                <form id="medfinder_form" name="medfinder_form" class="form-inline" action="{{ route('searchbranchmeds') }}" method="get" enctype="multipart/form-data" >    
                                                  @csrf  
                                                  <input type="hidden" id="branchcode2" name="branchcode2" value="{{ $reservations->branchcode }}">
                                                  <input type="hidden" id="reservedid2" name="reservedid2" value="{{ $reservations->reservedid }}">
                                                  <label for="exampleInputName3">Product Name:</label>
                                                  <div class="form-group">
                                                    

                                                      @if (isset($_REQUEST['productname']))
                                                      <input id="productname" name="productname" type="text" placeholder="Enter Product Name" value="{{ $_REQUEST['productname'] }}" required="" size="50" class="form-control">
                                                      @else
                                                      <input id="productname" name="productname" type="text" placeholder="Enter Product Name"  required="" size="50" class="form-control">
                                                      @endif 
                                                      <div id="productList"  style="max-height: 350px; overflow-y: scroll;  position:absolute; z-index:9999 !important;">
                                                      </div>  
                                                  </div>
                                                  {{ csrf_field() }}
                                    
                                                  <button type="submit" class="btn btn-primary">Search</button>
                                                </form> 



                                          </div> 
                                        </div>            
                                      </div>
                                    </div>


                                </div>
                            </div>
                        </div>
                    </div>
                </div> 


          <!-- MODAL FORM   ################################################################################################## -->
          <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog">
            <div class="modal-dialog modal-lg">
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <h4 class="modal-title" id="myModalLabel2">Add Product to Cart</h4>
                </div>
                <div class="modal-body">
                   
                        <input id="skunumber" name="skunumber" class="form-control" type="hidden" readonly>
                        <div class="form-group">
                            <label>Product Name</label><br>
                            <input id="productname2" name="productname2" class="form-control" type="text" readonly>
                        </div> 
                        <div class="row">                  
                            <div class="form-group col-md-6">
                                <label for="form_name">Price <span style="color:red">*</span></label>
                                <input id="price" name="price" class="form-control" type="number" style="text-align: right;" readonly>
                            </div> 
                            <div class="form-group col-md-6">
                                <label for="form_name">In Stocks</label>
                                <input id="qty" name="qty" class="form-control" type="text" style="text-align: right;" readonly>
                            </div>                            
                        </div>  
                        <div class="row">                  
                            <div class="form-group col-md-6">
                                <label for="form_name">Qty to Reserve <span style="color:red">*</span></label>
                                <input id="reserveqty" name="reserveqty" class="form-control" type="number" style="text-align: center;" value="1" onkeypress="return isNumberKey(event,this)" onkeyup="computeamount();" onfocusout="computeamount();" required>
                            </div> 
                            <div class="form-group col-md-6">
                                <label for="form_name">Amount</label>
                                <input id="amount" name="amount" class="form-control" type="text" style="text-align: right;" readonly>
                            </div>                            
                        </div>  
                   
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                  <button type="button" class="btn btn-primary text-white" onclick="addItemtoCart();" data-dismiss="modal">Add Item to Pickup Cart</button>


                </div>
              </div>
            </div>
          </div>
          <!-- END MODAL FORM   ################################################################################################## -->


          <!-- EDIT MODAL FORM   ################################################################################################## -->
          <div class="modal fade bs-example-modal-lg2" tabindex="-1" role="dialog">
            <div class="modal-dialog modal-lg">
              <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="demoModalLabel">{{ __('Edit Product')}}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                </div>                

                <div class="modal-body">
                        <input id="editid" name="editid" class="form-control" type="hidden" readonly>
                        <input id="editskunumber" name="editskunumber" class="form-control" type="hidden" readonly>
                        <div class="form-group">
                            <label>Product Name</label><br>
                            <input id="editproductname" name="editproductname" class="form-control" type="text" readonly>
                        </div> 
                        <div class="row">                  
                            <div class="form-group col-md-6">
                                <label for="form_name">Price <span style="color:red">*</span></label>
                                <input id="editprice" name="editprice" class="form-control" type="number" style="text-align: right;" readonly>
                            </div> 
                            <div class="form-group col-md-6">
                                <label for="form_name">Qty to Reserve <span style="color:red">*</span></label>
                                <input id="editreserveqty" name="editreserveqty" class="form-control" type="number" style="text-align: center;" value="1" onkeypress="return isNumberKey(event,this)" onkeyup="computeeditamount();" onfocusout="computeeditamount();" required>
                            </div>                           
                        </div>  
                        <div class="row">                  
                            <div class="form-group col-md-12">
                                <label for="form_name">Amount</label>
                                <input id="editamount" name="editamount" class="form-control" type="text" style="text-align: right;" readonly>
                            </div>                            
                        </div>  
                   
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                  <button type="submit" class="btn btn-primary text-white" onclick="editItemtoCart();" data-dismiss="modal">Update Item</button>


                </div>
              </div>
            </div>
          </div>

          <!-- END EDIT MODAL FORM   ################################################################################################## -->




                     
            </div>
        <!--</form>  -->

        
    </div>

    <!-- push external js -->
    @push('script')
        <script src="{{ asset('plugins/select2/dist/js/select2.min.js') }}"></script>
        <script src="{{ asset('plugins/summernote/dist/summernote-bs4.min.js') }}"></script>
        <script src="{{ asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.min.js') }}"></script>
        <script src="{{ asset('plugins/jquery.repeater/jquery.repeater.min.js') }}"></script>
        <script src="{{ asset('plugins/mohithg-switchery/dist/switchery.min.js') }}"></script>
      
        <script src="{{ asset('js/form-advanced.js') }}"></script>

        <link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/jquery.dataTables.css') }}"> 
        <link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/buttons.dataTables.min.css') }}"> 

        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jquery.dataTables.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/dataTables.buttons.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jszip.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/pdfmake.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/vfs_fonts.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/buttons.html5.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/buttons.colVis.min.js') }}"></script> 



        <script>
        function validateForm() {
          
          if(document.getElementById('status').value == ""){
              alert("Please Select Action for Approval to Continue!");
               return false;
          }


          var ok = confirm("Are you sure you want to Submit Action for Approval?");
          if(ok){  
            return true; 
          } else {  
            return false; 
          }
        }
        </script>

        <script>
        function changeText() {
          var radioValue = $("input[name='appradio']:checked").val();
          if(radioValue){
              //alert("Your are a - " + radioValue);
              document.getElementById('status').value = radioValue;
          }
        }
        </script>  

       <script>
        $(document).ready(function(){
        LoadReserveTrans();
            $('#productname').keyup(function(){ 
                var query = $(this).val();
                if(query != '')
                {
                 var _token = $('input[name="_token"]').val();
                 $.ajax({
                  url:"{{ route('fetchProduct') }}",
                  method:"POST",
                  scroll: true,
                  data:{query:query, _token:_token},
                  success:function(data){
                   $('#productList').fadeIn();  
                            $('#productList').html(data);
                  }
                 });
                }
            });

            $(document).on('click', 'li', function(){  
                var productname = $(this).text();
                productname = productname.trim();
                //$('#productname').val($(this).text());  
                $('#productname').val(productname);  
                $('#productList').fadeOut();  

            });  


        });
        </script>

        <script>
        function LoadReserveTrans() {

            fill_datatable();
            function fill_datatable(reservedid = $('#reservedid').val(), branchcode = $('#branchcode').val())
            {
                var dataTable = $('#employee-grid').DataTable({
                    //scrollY:        "300px",
                    scrollX:        true,
                    scrollCollapse: true,
                    paging:         true,
                    columnDefs: [
                          { targets: [2,3,4], className: "text-right" },
                          { targets: [0], className: "text-center" },
                    ],
                    fixedColumns: true,

                    processing: true,
                    serverSide: true,

                    "lengthMenu": [[10, 20, 30, 40, 50, 100, -1], [10, 20, 30, 40, 50, 100, "All"]],
                    "pageLength": 10,                  

                    ajax:{
                        url: "{{ route('reservetrans.index') }}",

                        data:{
                            reservedid:reservedid,
                            branchcode:branchcode


                        }
                    },
                    columns: [
                        {data: 'action', name: 'action', orderable: false, searchable: false},
                        {
                            data:'productname',
                            name:'productname'
                        },             
                        {
                            data:'price',
                            name:'price',
                            render: $.fn.dataTable.render.number(",", ".", 2)
                        },   
                        {
                            data:'qty',
                            name:'qty'
                        }, 
                        {
                            data:'amount',
                            name:'amount',
                            render: $.fn.dataTable.render.number(",", ".", 2)
                        }

                    ]



                });


            }
            $('#filter').click(function(){
                var reservedid = $('#reservedid').val();
                var branchcode = $('#branchcode').val();
                

                if(reservedid != '' || branchcode != '')
                {
                    $('#employee-grid').DataTable().destroy();
                    fill_datatable(reservedid, branchcode);
                }
                else
                {
                    $('#employee-grid').DataTable().destroy();
                    fill_datatable();
                }
            });

            $('#reset').click(function(){
                $('#employee-grid').DataTable().destroy();
                fill_datatable();
            });

        } 

        </script>

    <script>
        function EditCart(element) {  
         //$('#myModalmap').on('shown.bs.modal', (function() {
            
            var id = element.getAttribute('id');
            
            //Refresh Total
            $.ajax({
              url: "{{ route('getproductname') }}",
              data: { 
                _token:"{{csrf_token()}}",
                reservedid: $('#reservedid').val(),
                id:id
              },
              type: "POST",
              success: function(data){
                data = $.trim(data);
                var array = data.split('|');
                document.getElementById('editskunumber').value=array[0];
                document.getElementById('editproductname').value=array[1];
                document.getElementById('editprice').value=array[2];
                document.getElementById('editreserveqty').value=array[3];         
                document.getElementById('editamount').value=array[4]; 
                document.getElementById('editid').value=id;
              }
            });

        }
    </script>   

    <script>
    function computeamount()
    {
     
        var price  = document.getElementById('price').value;
        var reserveqty  = document.getElementById('reserveqty').value;
        var qty  = document.getElementById('qty').value;

        if(parseFloat(reserveqty) > parseFloat(qty)){
            alert("Qty Entered is higher than the Available Stocks on Hand.");
        } else {
            var amount = parseFloat(reserveqty) * parseFloat(price);
            var amount = amount.toFixed(2);          

            document.getElementById('amount').value = amount;            
        }


    }
    </script>

    <script>
    function computeeditamount()
    {
     
        var price  = document.getElementById('editprice').value;
        var reserveqty  = document.getElementById('editreserveqty').value;

            var amount = parseFloat(reserveqty) * parseFloat(price);
            var amount = amount.toFixed(2);          

            document.getElementById('editamount').value = amount;            


    }
    </script>


    <script>    

    function addItemtoCart() 
    {

        if($('#reserveqty').val() == "" || $('#reserveqty').val() < 1){//check leave type
            alert('Please Enter Qty to Continue!');
        }else{
            var ok = confirm("Are you sure you want to Add Item to Cart?");
            if(ok){
                $.ajax({
                    url: "{{ route('reservetrans.store') }}",
                    dataType:'JSON',
                    data: {
                        _token:"{{csrf_token()}}",
                        reservedid: $('#reservedid').val(),
                        custid: $('#custid').val(),
                        branchcode: $('#branchcode').val(),
                        skunumber: $('#skunumber').val(),
                        productname: $('#productname2').val(),
                        price: $('#price').val(),
                        reserveqty: $('#reserveqty').val(),
                        amount: $('#amount').val()
                    },
                    type: "POST",
                    success: function(data){
                        
                        data = $.trim(data);
                        //var data = JSON.parse(data);
                        

                        //var array = data.split('|');
                        //document.getElementById('totalqty').value=array[0];
                        //document.getElementById('total').value=array[1];                                                   

                        $('#employee-grid').DataTable().destroy();
                        LoadReserveTrans();


                        //Refresh Total
                        $.ajax({
                          url: "{{ route('computetotal') }}",
                          data: { 
                            _token:"{{csrf_token()}}",
                            reservedid: $('#reservedid').val()
                          },
                          type: "POST",
                          success: function(data){
                            data = $.trim(data);
                            var array = data.split('|');
                            document.getElementById('totalqty').value=array[0];
                            document.getElementById('total').value=array[1];                          
                          }
                        });




                        if(data === "SUCCESS"){
                            alert("Form has been submitted!");
                            location.reload(true);
                            //window.location.reload();
                        } //else{alert(data);}
                    }
                });
            }




        }



    }
    </script>    


    <script>    

    function editItemtoCart() 
    {
        var id = document.getElementById('editid').value;
        if($('#editreserveqty').val() == "" || $('#editreserveqty').val() < 1){//check leave type
            alert('Please Enter Qty to Continue!');
        }else{
            var ok = confirm("Are you sure you want to Edit Item from Cart?");
            if(ok){
                $.ajax({
                    url: "{{ route('updatereservetrans') }}",
                    dataType:'JSON',
                    data: {
                        _token:"{{csrf_token()}}",
                        id: $('#editid').val(),
                        reservedid: $('#reservedid').val(),
                        custid: $('#custid').val(),
                        branchcode: $('#branchcode').val(),
                        skunumber: $('#editskunumber').val(),
                        productname: $('#editproductname').val(),
                        price: $('#editprice').val(),
                        reserveqty: $('#editreserveqty').val(),
                        amount: $('#editamount').val()
                    },
                    type: 'POST',
                    //type: "POST",
                    success: function(data){
                        
                        data = $.trim(data);
                        $('#employee-grid').DataTable().destroy();
                        LoadReserveTrans();

                        //Refresh Total
                        $.ajax({
                          url: "{{ route('computetotal') }}",
                          data: { 
                            _token:"{{csrf_token()}}",
                            reservedid: $('#reservedid').val()
                          },
                          type: "POST",
                          success: function(data){
                            data = $.trim(data);
                            var array = data.split('|');
                            document.getElementById('totalqty').value=array[0];
                            document.getElementById('total').value=array[1];                          
                          }
                        });




                        if(data === "SUCCESS"){
                            alert("Form has been submitted!");
                            location.reload(true);
                            //window.location.reload();
                        } //else{alert(data);}
                    }
                });
            }




        }



    }
    </script>      

    <script>
    function DeleteItem(element) {

        var id = element.getAttribute('id');
        var ok = confirm("Are you sure you want to Delete Selected Item?");
        if(ok){
          $.ajax({
            url: "{{ route('reservetrans.destroy', "+id+") }}",
            data: {
              _token:"{{csrf_token()}}",
              id: id
            },
            type: "DELETE",
            
            success: function(data){
              data = $.trim(data);
              var str = $.trim(data);

              $('#employee-grid').DataTable().destroy();
               LoadReserveTrans(); 
              //Refresh Total
              $.ajax({
                url: "{{ route('computetotal') }}",
                data: { 
                  _token:"{{csrf_token()}}",
                  reservedid: $('#reservedid').val()

                },
                type: "POST",
                success: function(data){
                  data = $.trim(data);
                  var array = data.split('|');
                  document.getElementById('totalqty').value=array[0];
                  document.getElementById('total').value=array[1];                          
                }
              });



            }
          });
        }



    }
    //});


    </script>


    @endpush
@endsection
    
