@extends('layouts.main') 
@section('title', 'Edit Role')
@section('content')

    <!-- push external head elements to head -->
    @push('head')
        <link rel="stylesheet" href="{{ asset('plugins/select2/dist/css/select2.min.css') }}">
        <link rel="stylesheet" href="{{ asset('plugins/summernote/dist/summernote-bs4.css') }}">
        <link rel="stylesheet" href="{{ asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.css') }}">
        <link rel="stylesheet" href="{{ asset('plugins/mohithg-switchery/dist/switchery.min.css') }}">
    @endpush

    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-user-plus bg-blue"></i>
                        <div class="d-inline">
                            <h5>{{ __('Edit Role')}}</h5>
                            <span>{{ __('Edit User Role')}}</span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="{{route('home')}}"><i class="ik ik-home"></i></a>
                            </li>
                            <li class="breadcrumb-item"><a href="{{ route('admin.roles.index') }}">{{ __('List of Roles')}}</a></li>
                            <li class="breadcrumb-item active" aria-current="page">{{ __('Edit Role')}}</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header"><h3>{{ __('User Information')}}</h3></div>
                    <form method="post" action="{{ route('admin.roles.update', [$role->id]) }}" enctype="multipart/form-data">
                        @csrf
                        @method('PUT')
                        <div class="card-body">
                            <div class="row">

                                <div class="col-md-12">

                                    <div class="form-group">
                                        <label for="exampleInputName1">{{ __('Role Name')}}</label>
                                        <input type="text" class="form-control form-control-sm" id="name" name="name" placeholder="Enter Role" value="{{ old('name', isset($role) ? $role->name : '') }}" required>
                                    </div>
<!-- USER MANAGEMENT ############################################################# -->
                                    <table class="table table-head-fixed text-nowrap">
                                        <tr>
                                          <th style="width: 35%">USER MANAGEMENT</th>
                                          <th style="text-align: center">CHECK ALL</th>
                                          <th style="text-align: center">LIST</th>
                                          <th style="text-align: center">CREATE</th>
                                          <th style="text-align: center">EDIT</th>
                                          <th style="text-align: center">DELETE</th>
                                          <th style="text-align: center">IMPORT</th>
                                        </tr>

                                        <!-- USERS ############################################################# -->
                                        <tr>
                                          <td>List of Users</td>
                                          <th style = "text-align: center;"><input type = "checkbox" class="checkbox-column"  onclick = "toggleusers(this)"/> </th>
                                          <?php //@foreach(\App\Models\Permission::where('element', 'Users')->get() as $value) ?>
                                          @foreach($allpermissions->where('element', 'Users')->all() as $value)
                                          <td style = "text-align: center;">{{ Form::checkbox('permission[]', $value->id, in_array($value->id, $rolePermissions) ? true : false, array('class' => 'name')) }}</td>
                                          @endforeach
                                        </tr>

                                        <!-- ROLES ############################################################# -->
                                        <tr>
                                          <td>List of Roles</td>
                                          <th style = "text-align: center;"><input type = "checkbox" class="checkbox-column"  onclick = "toggleroles(this)"/> </th>
                                          @foreach($allpermissions->where('element', 'Roles')->all() as $value)
                                          <td style = "text-align: center;">{{ Form::checkbox('permission[]', $value->id, in_array($value->id, $rolePermissions) ? true : false, array('class' => 'name')) }}</td>
                                          @endforeach
                                        </tr>

                                        <!-- GROUP PERMISSIONS ############################################################# -->
                                        <tr>
                                          <td>List of Group Permissions</td>
                                          <th style = "text-align: center;"><input type = "checkbox" class="checkbox-column"  onclick = "togglegrouppermission(this)"/> </th>
                                          @foreach($allpermissions->where('element', 'GroupPermissions')->all() as $value)
                                          <td style = "text-align: center;">{{ Form::checkbox('permission[]', $value->id, in_array($value->id, $rolePermissions) ? true : false, array('class' => 'name')) }}</td>
                                          @endforeach
                                        </tr>
                                        <!-- AUDIT TRAIL ############################################################# -->
                                        <!--
                                        <tr>
                                          <td>Audit Trail</td>
                                          <th style = "text-align: center;"><input type = "checkbox" class="checkbox-column"  onclick = "toggleaudittrail(this)"/> </th>
                                          @foreach($allpermissions->where('element', 'Audits')->all() as $value)
                                          <td style = "text-align: center;">{{ Form::checkbox('permission[]', $value->id, in_array($value->id, $rolePermissions) ? true : false, array('class' => 'name')) }}</td>
                                          @endforeach
                                        </tr>
                                        -->
                                    </table>
                                    <button type="submit" class="btn btn-primary mr-2">{{ __('Submit')}}</button>
                                    <button type="button" class="btn btn-light" onclick="window.location.href='{{ route('admin.roles.index') }}'">{{ __('Cancel')}}</button>


                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        
    </div>

    <!-- push external js -->
    @push('script')
        <script src="{{ asset('plugins/select2/dist/js/select2.min.js') }}"></script>
        <script src="{{ asset('plugins/summernote/dist/summernote-bs4.min.js') }}"></script>
        <script src="{{ asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.min.js') }}"></script>
        <script src="{{ asset('plugins/jquery.repeater/jquery.repeater.min.js') }}"></script>
        <script src="{{ asset('plugins/mohithg-switchery/dist/switchery.min.js') }}"></script>
      
        <script src="{{ asset('js/form-advanced.js') }}"></script>

        <!-- ################################################################### USERS  ########################################################################-->
        <script>
        function toggleusers(source) {
          var start = 0;
          var end = 5;
          checkboxes = document.getElementsByName('permission[]');
          for(var i=start, n=checkboxes.length;i<end;i++) {
            checkboxes[i].checked = source.checked;
          }
        }   
        </script>
        <script>
        function toggleroles(source) {
          var start = 5;
          var end = 10;
          checkboxes = document.getElementsByName('permission[]');
          for(var i=start, n=checkboxes.length;i<end;i++) {
            checkboxes[i].checked = source.checked;
          }
        }   
        </script>
        <script>
        function togglegrouppermission(source) {
          var start = 10;
          var end = 15;
          checkboxes = document.getElementsByName('permission[]');
          for(var i=start, n=checkboxes.length;i<end;i++) {
            checkboxes[i].checked = source.checked;
          }
        }   
        </script>

    @endpush
@endsection
    
